Cover

Synway SMG Series Wireless Gateway

SMG4004

SMG4008

SMG4016

SMG4032

Wireless Gateway

User Manual

Version 1.6.0

Synway Information Engineering Co., Ltd

www.synway.net


Content

Content i

Copyright Declaration. iii

Revision History. iv

Chapter 1 Product Introduction. 1

1.1 Typical Application.. 3

1.2 Feature List 3

1.3 Hardware Description.. 4

1.4 Indicator Info. 7

Chapter 2 Quick Guide. 9

Chapter 3 WEB Configuration. 12

3.1 System Login.. 12

3.2 Operation Info. 13

3.2.1 System Info. 13

3.2.2 Port State. 14

3.2.3 Call Count 15

3.2.4 SIP Message Count 18

3.3 Quick Config. 19

3.4 VoIP Settings. 21

3.4.1 SIP. 22

3.4.2 SIP Compatibility. 23

3.4.3 SIP Station. 25

3.4.4 SIP Server 27

3.4.5 NAT Setting. 29

3.4.6 Media. 31

3.5 Advanced Settings. 33

3.5.1 Network. 34

3.5.2 System Param.. 35

3.5.3 Service Config. 37

3.5.4 Dialing Rule. 38

3.5.5 Function Key. 42

3.5.6 Cue Tone. 43

3.5.7 Color Ring. 43

3.5.8 QoS. 45

3.5.9 Tone Generator 46

3.5.10 CDR Query. 47

3.5.11 VPN.. 47

3.6 Wireless Settings. 48

3.6.1 Basic Parameters. 50

3.6.2 Wireless Param.. 55

3.6.3 Call Forwarding. 57

3.6.4 Short Message. 58

3.6.5 IMEI 61

3.6.6 USSD.. 62

3.6.7 Email 63

3.6.8 SIM Card. 65

3.6.9 PIN Manage. 66

3.6.10 BS Select 68

3.6.11 Networking Settings. 69

3.6.12 AMD.. 71

3.7 Call Management 72

3.7.1 Balance. 73

3.7.2 Port Timer 75

3.7.3 Name List Timer 77

3.7.4 Tel to IP Auto Route. 78

3.7.5 Blacklist 80

3.8 Port Settings. 80

3.8.1 Port 81

3.8.2 Port Group. 84

3.9 Route Settings. 87

3.9.1 Routing Parameters. 88

3.9.2 IP to Tel/IP. 88

3.9.3 Tel to IP. 91

3.10 Number Manipulation.. 93

3.10.1 IP to Tel/IP CallerID.. 94

3.10.2 IP to Tel/IP CalleeID.. 98

3.10.3 Tel to IP CallerID.. 99

3.10.4 Tel to IP CalleeID.. 103

3.11 System Tools. 104

3.11.1 Upgrade. 104

3.11.2 Signaling Capture. 106

3.11.3 Data Recording. 107

3.11.4 Call Log. 107

3.11.5 Operation Log. 108

3.11.6 Change Password. 109

3.11.7 Backup & Upload. 109

3.11.8 Factory Reset 110

3.11.9 Restart 111

3.11.10 System Monitor 111

3.11.11 Centralized Manage. 112

3.11.12 PING Test 113

3.11.13 TRACERT Test 114

3.11.14 Wireless Network Test 115

3.11.15 Access Control 116

Appendix A Technical Specifications. 118

Appendix B Troubleshooting. 119

Appendix C VPN Certificate. 120

Appendix D Technical/sales Support 121


Copyright Declaration

All rights reserved; no part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, without prior written permission from Synway Information Engineering Co., Ltd (hereinafter referred to as ‘Synway’).

Synway reserves all rights to modify this document without prior notice. Please contact Synway for the latest version of this document before placing an order.

Synway has made every effort to ensure the accuracy of this document but does not guarantee the absence of errors. Moreover, Synway assumes no responsibility in obtaining permission and authorization of any third party patent, copyright or product involved in relation to the use of this document.


Revision History

Version | Date | Comments
Version 1.0.0 | 2015-08 | Initial publication
Version 1.1.0 | 2015-11 | New Revision
Version 1.2.0 | 2016-1 | New Revision
Version 1.3.0 | 2016-4 | New Revision
Version 1.4.0 | 2016-6 | New Revision
Version 1.5.0 | 2016-12 | New Revision
Version 1.6.0 | 2017-03 | New Revision

Note: Please visit our website http://www.synway.net to obtain the latest version of this document.


Chapter 1 Product Introduction

Thank you for choosing Synway SMG Series Wireless Gateway!

The Synway SMG series wireless gateway products (hereinafter referred to as ‘wireless gateway’), as a part of the Synway gateway products, works mainly for connecting the wireless network with the VoIP network. It adopts an updated VoIP processor and the wireless module, uses the push-pull SIM card socket for easy replacement of the SIM card, quite advanced in technology. So far, only SMG4008 is available.

See below table for the modules of SMG series wireless gateway:

Series | Module & Ports | Supported Frequency Band/Code
GSM Gateway | SMG4032-32G | GSM: 850/900/1800/1900MHz
 | SMG4016-16G
 | SMG4008-8G
 | SMG4004-4G
WCDMA Gateway | SMG4016-16W | GSM: 900/1800MHz UMTS: 900/2100MHz
 | SMG4008-8W
 | SMG4004-4W
WCDMA-A Gateway | SMG4032-32WA | GSM: 850/900/1800/1900MHz UMTS: 850/1900MHz
 | SMG4016-16WA
 | SMG4008-8WA
 | SMG4004-4WA
WCDMA-T Gateway | SMG4016-16WT | GSM: 850/900/1800/1900MHz UMTS: 850/2100MHz
 | SMG4008-8WT
 | SMG4004-4WT
WCDMA-Z Gateway | SMG4016-16WZ | GSM: 850/900/1800/1900MHz UMTS: 850/900/1900/2100MHz
 | SMG4008-8WZ
 | SMG4004-4WZ
CDMA Gateway | SMG4032-32C | CDMA: CDMA 2000 800MHz
 | SMG4016-16C
 | SMG4008-8C
 | SMG4004-4C
LTE Gateway | SMG4032-32LE | FDD LTE: B1/B3/B5/B7/B8/B20 TDD LTE: B38/B40/B41 WCDMA: B1/B5/B8 GSM: B3/B8
 | SMG4016-16LE
 | SMG4008-8LE
 | SMG4004-4LE
 | SMG4032-32LC | FDD LTE: B1/B3 TDD LTE: B38/B39/B40/B41 TDSCDMA: B34/B39 WCDMA: B1 CDMA2000 1X/EVDO: BC0 GSM: 900/1800MHz
 | SMG4016-16LC
 | SMG4008-8LC
 | SMG4004-4LC

Table 1‑1 Model List


1.1 Typical Application

Figure 1‑1 Typical Application


1.2 Feature List

Basic Features

Description

TDM Call

Call initiated from TDM to IP, via routing and number manipulation to obtain the called IP address.

IP Call

Call initiated from IP to TDM, via routing and number manipulation to obtain the call destination.

Number Manipulation

Peels off some digits of a phone number from left/right, or adds a prefix/suffix to a phone number.

Call Forward

Three options available: Unconditional, Busy, No Reply and Unreachable.

CID

Displays the CallerID.

Echo Cancellation

Provides the echo cancellation feature for a call conversation over the wireless port.

TDM/VoIP Routing

Sets a routing path: from IP to TDM or from TDM to IP.

Simultaneous Register to Multiple Servers

Registers the gateway to a master registrar server and a spare registrar server simultaneously.

IMS Network

Registers the gateway to a server under IMS network.

Custom IVR Recording

Provides the interface to customize the IVR Recording.

White/Black List

Allows the setting of the white/black list for WEB access.

Voice Gain Adjust

Supports the gain adjustment for the received or sent voice.

Receive or Send SMS/USSD

Supports the SMS sending and receiving, as well as the USSD request and response.

Auto Select Network

Supports the auto identification and selection of the network operator.

SMS CODEC

Two options available: ASCII and UCS2.

Signaling & Protocol

Description

SIP Signaling

Supported protocol: SIP V1.0/2.0, RFC3261.

Voice

CODEC | G.711A, G.711U, G.729A/B, G.723, G.722, AMR, iLBC
DTMF Mode | RFC2833, SIP INFO, INBAND

Network

Description

Network Protocol

Supported protocol: TCP/UDP, HTTP, ARP/RARP, DNS, NTP, TFTP, TELNET, STUN.

Static IP

IP address modification support.

DHCP

IP address dynamic allocation support.

DNS

Domain Name Service support.

Security

Description

Admin Authentication

Supports admin authentication to guarantee the resource and data security.

System Monitor

Monitors the running status of the system and the server.

Maintain & Upgrade

Description

WEB Configuration

Support of configurations through the WEB user interface.

Language

Chinese, English.

Software Upgrade

Support of user interface, gateway service, kernel and firmware upgrades based on WEB.

Tracking Test

Support of Ping and Tracert tests based on WEB.

SysLog Type

Three options available: ERROR, WARNING, INFO.


1.3 Hardware Description

The wireless gateway supports two LANs and adopts an external 12V power supply. See below for product appearance.

Figure 1‑2 SMG4008 Front View

Figure 1‑3 SMG4008 Rear View

Figure 1‑4 SMG4016 Front View

Figure 1‑5 SMG4016 Rear View

Figure 1‑6 SMG4032 Front View

Figure 1‑7 SMG4032 Rear View

The table below gives a detailed introduction to the interfaces, buttons and LEDs illustrated above:

Interface | Description
LAN | Amount: 2
 | Type: RJ-45
 | Bandwidth: 10/100 Mbps
 | Self-Adaptive Bandwidth Supported
 | Auto MDI/MDIX Supported
 | Built-in Link indicator and ACTIVE indicator. For more details, refer to 1.4 Indicator Info
SIM Card Slot | Amount: 4, 8, 16*4, 32*4
 | Network Supported: GSM, WCDMA, CDMA, VoLTE
Console Port | Amount: 1
 | Type: RS-232
 | Baud Rate: 115200bps
 | Connector: RJ45 to DB-9 Connector (4004, 4008 series), Mini-USB connecting line (4016, 4032 series)
 | Data Bits: 8 bits
 | Stop Bit: 1 bit
 | Parity Unsupported
 | Flow Control Unsupported
External Power Supply Interface | Provide the 12V voltage with positive inside and negative outside, and the current is larger than 3A
Button | Description
Reset Button | Restore the gateway to factory settings by pressing this button persistently for 3 seconds
LED | Description
Power Indicator | Indicates the power state. It lights up when the gateway starts up with the power cord well connected
Run Indicator | Indicates the running status. For more details, refer to 1.4 Indicator Info .
Alarm Indicator | Alarms the device malfunction. For more details, refer to 1.4 Indicator Info.
Link Indicator | The green LED on the right of LAN, indicating the network connection status.
ACT Indicator | The orange LED on the left of LAN, whose flashing tells the data are being transmitted.
Port Indicator | 1. When the port is idle, the LED Lights up in green and keeps on; 2. When the port is unavailable, the LED Lights up in red and keeps on; 3. When the port is in use, the LED flashes in green 4. When the port module is disabled, the LED flashes in red 5. For SMG4016 series, only the indicator of the card slot in which the SIM card is in using lights up and other indicators will go out in the case that there are more than one SIM cards inserted in the same channel.

For other hardware parameters, refer to Appendix A Technical Specifications .


1.4 Indicator Info

The wireless gateway is equipped with two indicators denoting the system’s running status: Run Indicator (green LED) and Alarm Indicator (red LED). The table below explains the states and meanings of the two indicators.

LED | State | Description
Run Indicator | Go out | System is not yet started.
 | Light up and flash fast | System is starting.
 | Flash slowly | Device is normal.
Alarm Indicator | Go out | Device is normal.
 | Light up | Upon startup: Device is normal. In runtime: Device is abnormal.
 | Flash | Device is abnormal.

Note:

l The startup process consists of two stages: System Booting and Gateway Service Startup. The system booting costs about 1 minute and once it succeeds, both the run indicator and the alarm indicator light up. Then after the gateway service is successfully started and the device begins to work normally, the run indicator flashes and the alarm indicator goes out.

l During runtime, if the alarm indicator lights up or flashes, it indicates that the device goes abnormal. If you cannot figure out and solve the problem by yourself, please contact our technicians for help. Go to Appendix D Technical/sales Support to find the contact way.


Chapter 2 Quick Guide

This chapter is intended to help you grasp the basic operations of the wireless gateway in the shortest time.

Step 1: Confirm that your packing box contains all the following things.

l Wireless Gateway *1

l External 12V Power Adapter *1

l GSM/WCDMA/CDMA/LTE Rubber Antenna *4/8/16/32

l Standard RJ45 to DB-9 Switcher (4004/4008 series) *1, Mini-USB connecting line (4016/4032 series) *1

l 8mm Antenna Wrench *1

l Rubber Foot Pad *4

l Network Cable *1

l Warranty Card *1

l Installation Manual *1

Step 2: Connect the network cable.

This product provides RJ-45 interfaces.

Step 3: Insert the SIM card (standard size) and install the antenna.

The wireless gateway provides a SIM card slot. You are required to insert the SIM card before using it. Take out the rubber antennae from the packing box, install them onto the wireless gateway, screw them up and evenly arrange them.

Step 4: Power on and start the gateway.

To use the wireless gateway, you need an external power supply. Insert it to the power interface of the wireless gateway and power it on with 100~240V AC. See the figure below:

Figure 2‑1 Wireless Gateway Power Connection

Step 5: Log in the gateway.

Enter the original IP address (192.168.1.101) of the wireless gateway in the browser to go to the WEB interface of the gateway. The original username and password of the gateway are both ‘admin’. For detailed instructions about login, refer to 3.1 System Login . We suggest you change the initial username and password via ‘System Tools à Change Password’ on the WEB interface as soon as possible after your first login. For detailed instructions about changing the password, refer to 3.11.6 Change Password . After changing the password, you are required to log in again.

Step 6: Modify IP address of the gateway.

You can modify the IP address of the gateway via ‘Advanced Settings à Network’ on the WEB interface to put it within your company’s LAN. Refer to 3.5.1 Network for detailed instructions about IP modification. After changing the IP address, you shall log in the gateway again using your new IP address.

Step 7: Make phone calls.

Note: For your easy understanding and manipulation, all examples given in this step do not involve registration, that is, SIP initiates calls in a point-to-point mode.

Situation 1: Call from a station to an IP phone (TelàIP)

1. Go to ‘Advanced Settings à Dialing Rule’ on the WEB interface and click the ‘Add New’ button to add a new dialing rule. Refer to 3.5.4 Dialing Rule for detailed instructions. Enter either a particular number or a string of ‘x’s to represent several random numbers. For example, ‘xxx’ denotes 3 random numbers. You may use the default value of ‘Index’ and are required not to leave ‘Description’ empty.

Example: Set Index to 99, fill in Description with test and configure Dial Rule to 123.

2. Go to ‘Port Settings à Port Group’ on the WEB interface and click the ‘Add New’ button to create a new port group and add the corresponding ports to it. Refer to 3.8.2 Port Group for detailed instructions. You may use the default values of other configuration items and are required not to leave ‘Description’ empty.

Example: Provided the added port is Port1, check the checkbox before Port1, set Index to 1, fill in Description with test, and keep the default values of other configuration items.

3. Go to ‘Route Settings à TelàIP’ on the WEB interface and click the ‘Add New’ button to add a new routing rule. Refer to 3.9.3 TelàIP for detailed instructions. Select the port group created in Step2 as ‘Source Port Group’ and fill in ‘Destination IP’ and ‘Destination Port’ with the IP address and the Port number you plan to call. You may use the default values of other configuration items and are required not to leave ‘Description’ empty.

Example: Provided the remote IP address intended to call is 192.168.0.111 and the port is 5060. Set Index to 63, Source Port Group to 1, fill in Description with test, configure Destination IP to 192.168.0.111, Destination Port to 5060, and keep the default values of other configuration items.

4. Use an external phone to call the number of this SIM card, and then follow the cue tone to dial the number set in Step1 to ring the remote IP phone If you have set a particular number in Step 1, only this number you can dial; if you have set a string of ‘x’s, how many ‘x’s there are, how many random numbers you can dial.

Example: The external phone dials the number of this SIM card, and then follows the cue tone to dial 123. Then the IP phone with the IP address 192.168.0.111 and the port 5060 will ring.

Situation 2: Call from an IP phone to a station (IP àTel)

1. Go to ‘Port Settings à Port Group’ on the WEB interface and click the ‘Add New’ button to create a new port group and add the corresponding ports which are connected with stations to it. Refer to 3.8.2 Port Group for detailed instructions. You may use the default values of other configuration items and are required not to leave ‘Description’ empty.

Example: Provided the added port is Port1, check the checkbox before Port1, set Index to 1, fill in Description with test, and keep the default values of other configuration items.

2. Go to ‘Route Settings à IPàTel/IP’ on the WEB interface and click the ‘Add New’ button to add a new routing rule. Refer to 3.9.2 IPàTel/IP for detailed instructions. Fill in ‘Source IP’ with the IP address which initiates the call and select the port group created in Step1 as ‘Destination Port Group’. You may use the default values of other configuration items and required not to leave ‘Description’ empty.

Example: Provided the IP address of the IP phone which initiates the call is 192.168.0.111. Set Index to 63, Destination Port Group to 1, fill in Description with test, configure Source IP to 192.168.0.111, and keep the default values of other configuration items.

3. Pick up the IP phone and call the IP address and port of the wireless gateway to make outgoing calls from the wireless channel.

Example: Provided the IP address of the wireless gateway is 192.168.0.101, the port is 5060, use the IP phone to call the IP address 13529101232@192.168.0.101 and then the first idle wireless port in the port group of step 2 will make an outgoing call to 13529101232.

Special Instructions:

l As the device will gradually heat up while being used, please maintain good ventilation to prevent sudden failure, ensuring that the ventilation holes are never jammed.

l During runtime, if the alarm indicator lights up or flashes, it indicates that the device goes abnormal. If you cannot figure out and solve the problem by yourself, please contact our technicians for help. Otherwise it may lead to a drop in performance or unexpected errors.


Chapter 3 WEB Configuration


3.1 System Login

Type the IP address into the browser and enter the login interface. See Figure 3‑1.

Figure 3‑1 Login Interface

The gateway only serves one user, whose original username and password are both ‘admin’. You can change the username and the password via ‘System Tools à Change Password’ on the WEB interface. For detailed instructions, refer to 3.11.6 Change Password .

After login, you can see the main interface as below.

Figure 3‑2 Main Interface


3.2 Operation Info

Operation Info includes four parts: System Info, Port State, Call Count and SIP Message Count, showing the current running status of the gateway. See Figure 3‑3.

Figure 3‑3 Operation Info


3.2.1 System Info

Figure 3‑4 System Info Interface

See Figure 3‑4 for the system info interface. You can click Refresh to obtain the latest system information. The table below explains the items shown in Figure 3‑4.

Item | Description
MAC Address | MAC address of LAN.
IP Address | The three parameters from left to right are IP address, subnet mask and default gateway of LAN.
DNS Server | DNS server address of LAN.
Receive Packets | The amount of receive packets after the gateway’s startup, including three options: All, Error and Drop.
Transmit Packets | The amount of transmit packets after the gateway’s startup, including three options: All, Error and Drop.
Current Speed | Show the current speed of data receiving and transmitting.
Work Mode | Show the work mode of the network, including four modes: 10 Mbps Half Duplex, 10 Mbps Full Duplex, 100 Mbps Half Duplex, 100 Mbps Full Duplex.
Runtime | Time of the gateway keeping running normally after startup, which will be automatically updated.
WEB | Current version of the WEB interface.
Gateway | Current version of the gateway service.
Serial Num | Unique serial number of a wireless gateway.
Authorization Code | The authorization codes vary from different wireless modules.
FPGA | Current version of FPGA.
U-boot | Current version of Uboot.
Kernel | Current version of the system kernel on the gateway.
Device Type | Type of the wireless gateway.


3.2.2 Port State

Figure 3‑5 Channel State Interface

See Figure 3‑5 for the channel state interface where shows the channel type, the channel state for each channel on the gateway. The table below explains the items shown in Figure 3‑5.

Item

Description

Port

Port number on the device.

Type

Port type on the device. So far, only GSM, WCDMA, CDMA and LTE types are supported.

State

Displays the port state in real time. You can move the mouse onto the port state icon for detailed state information.

State | Icon | Description
Idle |  | The port is available.
Off-hook |  | The port picks up the call.
Wait Answer |  | The port receives the ringback tone and is waiting for the called party to pick up the phone.
Ringing |  | The port is in the ringing state.
Talking |  | The port is in a conversation.
Dialing |  | The port is dialing.
Pending |  | The port is in the pending state.
Internal State |  | Internal state of the port.
Unusable |  | The port is unavailable.

Voice Type

Displays the voice type of the current call.

Note: For the LTE series gateway, it is Net type and will display the network type of the current call.

Direction

Displays the direction of the call on port.

CallerID

Displays the CallerID of the call on port.

CalleeID

Displays the CalleeID of the call on port.

SIM Card

Displays the real-time state of the SIM card. Move the mouse onto the corresponding icon and you can find the exact state of the SIM card. means card inserted， [image] means no card inserted, [image] means card in use.

Note: This item is unavailable for SMG4004 and SMG4008 series.

Cell Phone No.

Displays the number of the corresponding channel set in Wireless Parameters.

Connection

Displays the connection status between the SIM card and the base station.

Signal

Displays the signal intensity of the wireless module.

SIP Reg Status

Displays the registration status of the port.


3.2.3 Call Count

Figure 3‑6 Call Count 1 Interface

Figure 3‑7 Call Count 2 Interface (4004/4008 Series)

Figure 3‑8 Call Count 2 Interface (4016/4032 Series)

See Figure 3‑6, Figure 3‑7, Figure 3‑8 for the call count Interface. The above list shows the detailed information about all the calls counted from the startup of the gateway service to the latest open or refresh of this interface. You can click Refresh to obtain the current call count information. The table below explains the items shown in above figures.

Item | Description
Call Direction | A condition for call count, two options available: IP àTel and Tel àIP.
Total Calls | Total number of calls in a specified call direction.
Successful Calls | Total number of successful calls in conversation.
Busy | Total number of calls which fail as the called party has been occupied and replies a busy message.
No Answer | Total number of calls which fail as the called party does not pick up the call in a long time or the calling party hangs up the call before the called party picks it up.
Routing Failure | Total number of calls which fail because no routing rules are matched.
Dialing Failure | Total number of calls which fail as the called party number does not conform to the dialing rule or due to dialing timeout.
Unknown Failure | Total number of calls which fail due to unknown reasons.
Total Calls | The total numbers of the outgoing calls.
Remote Ringing | The count of the calls which bring the remote terminal into the ringing state.
Talking Count | The count of the outgoing calls which are answered by remote terminal.
Failure Count | The count of the failure calls, i.e. the counts of the calls which cannot be made out by the port.
Continuous Failure | The count of the calls which failed continuously twice or more.
Call Completion Rate | The percentage of successful calls to total calls.
Accumulated Time | The total time of the calls which are answered by the remote terminal.
Average Time | The average time length of each call answered by the remote terminal.


3.2.4 SIP Message Count

Figure 3‑9 SIP Message Count Interface

See Figure 3‑9 for the SIP Message Count interface. This is used to record the amount of the normal SIP messages that are sent/received or repeatedly sent/received during the period from the startup of the gateway service to the latest open or refresh of the interface. Click Refresh to refresh the count of SIP messages, or click Clear to clear the current count of SIP messages.


3.3 Quick Config

Figure 3‑10 Quick Config Interface

See Figure 3‑10 for the Quick Config interface. Follow the gateway Quick Configuration wizard and you can easily complete the settings on network, SIP and Port. The gateway can work normally after configuration.

See Figure 3‑11 for the Quick Config-Network Settings interface. Refer to 3.5.1 Network for detailed settings. After configuration, click Next to enter the SIP Settings interface.

Figure 3‑11 Quick Config-Network Settings Interface

See Figure 3‑12 for the Quick Config-SIP Settings interface. The configuration items on this interface are the same as those on the SIP interface. Refer to 3.4.1 SIP for detailed settings. You are required to fill with the information about the registrar if the gateway must be registered. After configuration, click Back to go back to the Network Settings interface; click Next to enter the Port Settings interface.

Figure 3‑12 Quick Config-SIP Settings Interface

See Figure 3‑13 for the Port Settings interface. The configuration items on this interface are the same as those on the Port interface. Refer to 3.8.1 Port for detailed settings. After configuration, click Back to go back to the SIP Settings interface; click Next to enter the Quick Config-Completion interface.

Figure 3‑13 Port Settings Interface

Figure 3‑14 Quick Config-Completion Interface

Click Back to go back to the Port Settings interface; click Finish to finish the Quick Config wizard and now the gateway can work normally with basic configuration.


3.4 VoIP Settings

VoIP Settings includes six parts: SIP, SIP Compatibility, SIP Station, SIP Server, NAT Setting and Media. See Figure 3‑15. SIP Settings is used to configure the general SIP parameters, SIP Compatibility is used to set which SIP servers and SIP messages will the gateway be compatible with, SIP Station is to set the basic information of the SIP station, SIP Server is to set the basic information of the SIP server, NAT Setting is used to configure the parameters for NAT, and Media Settings is to set the RTP port and the payload type.

Figure 3‑15 VoIP Settings


3.4.1 SIP

Figure 3‑16 SIP Settings Interface

See Figure 3‑16 for the SIP settings interface where you can configure the general SIP parameters. After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations. If a dialog box pops up after you save your settings asking you to restart the system, do it immediately to apply the changes. Refer to 3.11.9 Restart for detailed instructions. The table below explains the items shown in Figure 3‑16.

Item | Description
SIP Port | Monitoring port of SIP signaling. The value range of it must be grater than 1024 and less than 65535, with the default value of 5060.
Register Status | Registration status of the gateway. When Register Gateway is set to No, the value of this item is Unregistered; when Register Gateway is set to Yes, the value of this item is either Failed or Registered.
Register Gateway | Sets whether to register the gateway as a whole. The default value is No. Only when this configuration is set to Yes can you see the configuration items SIP Account and Password.
SIP Account | When the gateway initiates a call to SIP, this item corresponds to the username of SIP.
Password | Registration password of the gateway. To register the gateway to SIP, both configuration items SIP Account and Password should be filled in.
Authentication Username | Authentication username for registration.
Registrar IP Address | Address of the registry server for the gateway to register.
Registrar Port | Signaling port of the registry server.
Spare Registrar Server | Check the enable checkbox to enable the spare registrar server. By default, it is disabled.
Spare Registrar IP Address | Address of the spare registry server for the gateway to register. The gateway will enable the spare registrar server if the master registrar server has no reply, or the master server is detected with no response in case the item Detection Server Cycle is enabled.
Spare Registrar Port | Signaling port of the spare registry server.
Registry Validity Period | Validity period of the SIP registry. Once the registry is overdue, the gateway should be registered again. This configuration item is valid only when Register Gateway is set to Yes. Range of value: 10~3600, calculated by s, with the default value of 600.
Multi-Registrar Server Mode | Tick the checkbox before to enable the multi-registrar server mode. By default, it is disabled.
SIP Transport Protocol | There are two modes UDP and TCP available for running the SIP protocol. The default value is UDP.
Switch Signal Port if SIP Registration Failed | If the SIP registration fails, the SIP signaling port N will switch to N+1 for a new registration. It will continue until the registration succeeds. By default, it is disabled.
IMS Network | Once this feature is enabled, the gateway will send signaling messages to the corresponding externally bound address and port when it registers to the server. By default, this feature is disabled. Only when this feature is enabled will these items Externally Bound Address, Externally Bound Port and Authentication Username be shown.
Externally Bound Address | Externally bound IP address for registration.
Externally Bound Port | Externally bound port for registration.


3.4.2 SIP Compatibility

See Figure 3‑17 for the SIP Compatibility interface where you can configure the SIP parameters to determine which SIP servers and SIP messages will the gateway be compatible with. After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations.

Figure 3‑17 SIP Compatibility Setting Interface

The table below explains the items shown in Figure 3‑17.

Item | Description
Obtain CalleeID from | There are two optional ways to obtain the called party number: from “To” Field and from “Request” Field. The default value is “Request” Field.
Set CallerID Position | There are two options to set the position of the calling party number: “Displayname of From Field” and “Username of From Field”. The default value is “Username of From Field”.
Obtain CallerID from | There are two optional ways to obtain the calling party number: from “Displayname of From Field” and from “Username of From Field”. The default value is “Username of From Field”.
Use Contact Address | Sets whether to send the request message according to the content of Contact, with the default setting of disabled. As it is disabled, if the Contact field indicates an IP address within the LAN, the request message will be sent according to the source address; if the Contact field indicates an IP address belonging to the WAN, the request message will be sent according to this IP address.
Two Stage Dialing for SIP Incoming Call | Once this feature is enabled, the incoming call from SIP should perform the two stage dialing operation. By default this feature is disabled.
Maximum Wait Answer Time | Sets the maximum time for the SIP channel to wait for the answer from the called party of the outgoing call it initiates. If the call is not answered within the specified time period, it will be canceled by the channel automatically. The default value is 60, calculated by s.
SIP Station Supported | Once this feature is enabled, a SIP terminal can be registered to the gateway to become a SIP station. By default this feature is disabled.
Set SIP Identifying | Sets the SIP identifying content in the SIP call message. The default setting is Gateway.
Maximum Wait RTP Time | Sets the maximum time for the SIP channel to wait for the RTP packet. If no RTP packet is received within the specified time period, the channel will enter the pending state automatically and release the call. The default value is 0（disabled）, calculated by s.
Ignore ACK | Once this feature is enabled, it is not necessary for the gateway to wait for the ACK message after sending the 200OK message to establish a call. By default it is disabled.
SIP Encryption | Once this feature is enabled, you can encrypt the SIP signal following selecting an encryption criterion and setting a key. By default it is disabled.
Encryption Criterion | The criterion used to encrypt the SIP signal. At present only VOS1.1 is supported.
Identifier | The identifier field of the VOS encryption, which is used to obtain the key of the SIP encryption.
Key | The key to encrypt the SIP signal.
RTP Encryption | Once this feature is enabled, you can encrypt the RTP package. By default it is disabled.
Abnormal Call Hangup Detection | Sets the interval between checks of the remote end’s abnormal hangup, with the default value of 0 (feature disabled), calculated by s. It is suggested to set to 10s if this feature is necessary to be used.
Server Status Detection | The interval of sending a heartbeat packet to detect the master registrar server status, with the default value of 0 (feature disabled), calculated by s. It is suggested to set to 15s if this feature is necessary to be used.
Occasion to Reply 183 | Sets the occasion to reply the 183 message. Two options including: Immediately and After ringing, with the default value of Immediately.
Occasion to Reply 200 Ok | Sets the occasion to reply 200 OK. Two options including: After pickup and After ringing, with the default value of After pickup.


3.4.3 SIP Station

A SIP terminal can be registered to the gateway to become a SIP station. Tick the option of ‘SIP Station Supported’ on 3.4.2 SIP Compatibility interface, and you will see the item SIP Station on the VoIP Settings menu. Click ‘SIP Station’ to go into the SIP Station interface. By default, there is no available SIP station. See Figure 3‑18 below.

Figure 3‑18 SIP Station Setting Interface

Click Add New to add SIP stations manually. See Figure 3‑19. You can configure basic SIP station information on this interface. The bound port to a SIP station must be a wireless port and unique. The username must be the same as that used to register the SIP terminal to the gateway.

Figure 3‑19 Add New SIP Station

The table below explains the items shown above:

Item | Description
Number | The logical number for a SIP station to register to the gateway.
Username | The username used to register a SIP station to the gateway.
Password | The password used to register a SIP station to the gateway.
Bound Port | The wireless port which is bound to the SIP station.
Description | It is user-defined, with the default value of default.
Batch Setting | Used to set multiple SIP stations at the same time.

After configuration, click Save to save the above settings into the gateway or click Close to cancel the settings. See Figure 3‑20 for the applied SIP station information.

Figure 3‑20 SIP Station Interface

Click Modify in the above figure to modify the configuration of the SIP station. See Figure 3‑21. The configuration items on this interface are the same as those on the Add New SIP Station interface.

Figure 3‑21 SIP Station Modification Interface

To delete a SIP station, check the checkbox before the corresponding index in Figure 3‑20 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all SIP stations at a time, click the Clear All button in Figure 3‑20.


3.4.4 SIP Server

The gateway supports the multi-registrar server feature. Enable the feature of ‘Multi-Registrar Server Mode’ on the SIP interface (see 3.4.1 SIP) and you will see the item SIP Server under the VoIP Settings menu. Click ‘SIP Server’ to go into the SIP Server interface. By default, there is no available SIP server. See Figure 3‑22 below.

Figure 3‑22 SIP Server Interface

Click Add New to add SIP servers manually. See Figure 3‑23. You can configure basic SIP server information on this interface.

Figure 3‑23 Add New SIP Server

All the items except Index and Description are the same as those on the SIP interface (3.4.1 SIP).

Item | Description
Index | The index of each SIP server. The gateway supports up to 8 SIP servers.
Description | More information about each SIP server, with the default value of default.

After configuration, click Save to save the above settings into the gateway or click Cancel to cancel the settings. See Figure 3‑24 for the SIP server management interface.

Figure 3‑24 SIP Server Management

Click Modify in the above figure to modify the configuration of the SIP server. See Figure 3‑25.

The configuration items on this interface are the same as those on the Add New SIP Server interface.

Figure 3‑25 SIP Server Modification Interface

To delete a SIP server, check the checkbox before the corresponding index in Figure 3‑24 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all SIP servers at a time, click the Clear All button in Figure 3‑24.


3.4.5 NAT Setting

See Figure 3‑26 for the NAT setting interface where you can configure the parameters for NAT. After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations.

Figure 3‑26 NAT Setting Interface

The table below explains the items shown in Figure 3‑26.

Item

Description

STUN Server

Sets whether to enable the STUN server for NAT traversal. By default the STUN server is disabled.

NAT Type

Detected NAT (Network Address Translation) type. The gateway will return the NAT type automatically in case STUN Server is enabled. It includes 9 types: unknown; no NAT; ConeNat; RestrictedNat; PortRestrictedNat; Symmetric NAT; Symmetric NAT with firewall; can’t detect over (fail to send detect message) and fail to detect (No reply from the stun server).

STUN Server Address

Address of the server for STUN traversal.

Mapping Address

It should be filled in when there exists NAT or other mapping relationships which leads to the failure of direct communication between the gateway and the destination address, so as to ask the remote end to send signaling messages or voice data to it during the signaling or voice communication between the gateway and the destination.

Note: Once this item is filled out, it will be used as the first choice even if Rport and NAT IP are enabled.

RTP Self-adaption

When this feature is enabled, the RTP reception address or port carried by the signaling message from the remote end, if not consistent with the actual state, will be updated to the actual RTP reception address or port. By default, this feature is disabled.

Rport

When this feature is enabled, a corresponding Rport field will be added to the Via message of SIP. The default value is enabled.

Auto Detect NAT IP

When this feature is enabled, the gateway will parse the corresponding address and port in the message returned by Rport so as to use them for the following communication. By default, this feature is disabled.

Note: This feature gets valid only when Rport is enabled.


3.4.6 Media

Figure 3‑27 Media Settings Interface

See Figure 3‑27 for the media settings interface where you can configure the RTP port and payload type depending on your requirements. After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations. If a dialog box pops up after you save your settings asking you to restart the system, do it immediately to apply the changes. Refer to 3.11.9 Restart for detailed instructions. The table below explains the items shown in Figure 3‑27.

Item

Description

DTMF Transmit Mode

Sets the transmit mode for the IP channel to send DTMF signals. The optional values are RFC2833, In-band and Signaling, with the default value of RFC2833.

RFC2833 Payload

Payload of the RFC2833 formatted DTMF signals on the IP channel. Range of value: 90~127, with the default value of 101.

RTP Port Range

Supported RTP port range for the IP end to establish a call conversation, with the lower limit of 10000 and the upper limit of 60000 and the difference between larger than 480. The default value is 50000-50767.

Silence Suppression

Sets whether to send comfort noise packets to replace RTP packets or never to send RTP packets to reduce the bandwidth usage when there is no voice signal throughout an IP conversation. The optional values are Enable and Disable, with the default value of Disable.

JitterBuffer

Acceptable jitter for data packets transmission over IP, which indicates the buffering capacity. A larger JitterBuffer means a higher jitter processing capability but as well as an increased voice delay, while a smaller JitterBuffer means a lower jitter processing capability but as well as a decreased voice delay. Range of value: 20~200, calculated by ms, with the default value of 20.

Voice Gain Output from IP

Adjusts the gain of the voice output from IP. Range of value: -24~12, calculated by dB, with the default value of 0.

AGC

If the AGC (Automatic Gain Control) feature is enabled, the gateway will automatically adjust the input signal amplitude, increasing that of small signals and decreasing that of large signals.

Target Energy Threshold

Set the target energy of the AGC, range of value: -50~0, calculated by dB, with the default value of 0.

Maximum Gain Threshold

Set the maximum gain threshold that will be applied to the signal. Range of value: 0~48, calculated by dB, with the default value of 48.

Maximum Attenuation Threshold

Set the maximum attenuation that will be applied to the signal. Range of value: -42~0, calculated by dB, with the default value of 0.

Minimum Input Energy

Set the minimum threshold for the energy processed by AGC. Signals below this threshold will not be processed by AGC. Range of value: -60~ -25, calculated by dB, with the default value of -60.

CODEC Priority

Supported CODECs and their corresponding priority for the IP end to establish a call conversation. The table below explains the sub-items:

Sub-item | Description
Priority | Priority for choosing the CODEC in an SIP conversation. The smaller the value is, the higher the priority will be.
CODEC | Three optional CODECs are supported: G711A, G711U, G729A/B, G723, G722, AMR and iLBC.
Packing Time | Time interval for packing an RTP packet, calculated by ms.
Bit Rate | The number of thousand bits (excluding the packet header) that are conveyed per second.

By default, all of the seven CODECs are supported and ordered G711A, G711U, G729A/B, G723, G722, AMR and iLBC by priority from high to low.

The packing time and bit rate supported by different CODECs are listed in the table below. Those values in bold face are the default values.

COEDC | Packing Time (ms) | Bit Rate (kbps)
G711A | 10 / 20 / 30 / 40 / 60 | 64
G711U | 10 / 20 / 30 / 40 / 60 | 64
G729A/B | 10 / 20 / 30 / 40 / 60 | 8
G723 | 30 / 60 | 5.3 / 6.3
G722 | 10 / 20 / 30 / 40 | 64
AMR | 20 / 40 / 60 | 4.75
iLBC | 20 / 40 | 15.2
 | 30 / 60 | 13.3


3.5 Advanced Settings

Advanced Settings includes eleven parts: Network, System Param, Service Config, Dialing Rule, Function Key, Cue Tone, Color Ring, QoS, Tone Generator, CDR Query and VPN. See Figure 3‑28. Network is used to configure the general properties of the network port; System Param is used to configure some properties of the system; Service Config is used to configure some properties which corresponds to the service; Dialing Rule is used to set the judging conditions for dialing; Function Key is used to set a cluster of combination keys for you to query or set the network port; Cue Tone is used to set the gateway language for playing voice and the voice file used for the two-stage dialing; Color Ring is used to upload the color ring file which can be set as a ringback tone for an incoming call from IP to wireless port;.QoS uses the differentiated services technology to increase the gateway’s service quality; Tone Generator is used to configure some properties of tones sent from gateway; CDR Query is used to inquire the detailed call record; VPN makes use of the tunnel technology to transport the data, and the methods of user authentication and data encryption to prevent the data being read and distorted when they are transported on the public network.

Figure 3‑28 Advanced Settings


3.5.1 Network

Figure 3‑29 Network Settings Interface

See Figure 3‑29 for the network settings interface. A gateway has two LANs which can be configured with the same network type, IP address, subnet mask, default gateway and DNS server to realize the feature of hot backup. There are three options in type: Static, DHCP and PPPoE.

After configuration, click Save to save the above settings into the gateway or click Reset to restore the configurations. After changing the IP address, you shall log in the gateway again using your new IP address.


3.5.2 System Param

Figure 3‑30 System Parameters Setting Interface

See Figure 3‑30 for the System Parameters Setting interface. The table below explains the items shown in the above figure.

Item | Description
WEB Port | The port which is used to access the gateway via WEB. The default value is 80.
Access Setting | Sets the IP addresses which can access the gateway via WEB. By default, all IPs are allowed. You can set an IP whitelist to allow all IPs within it to access the gateway freely. Also you can set an IP blacklist to forbid all IPs within it to access the gateway.
SYSLOG Enabled | Sets whether to enable SYSLOG. It is required to fill in SYSLOG Server Address and SYSLOG Level in case SYSLOG is enabled. By default, SYSLOG is disabled.
Server Address | Sets the SYSLOG server address for log reception.
SYSLOG Level | Sets the SYSLOG level. There are three options: ERROR, WARNING, INFO and DEBUG. The default value is INFO.
AT Debug Enabled | Sets whether to enable the AT debug feature, with the default value of No. Once this feature is enabled, the related information about AT will be output to the SYSLOG.
Echo Mode Enabled | Sets whether to enable the echo mode, with the default value of No. Once this feature is enabled, both the sent and received information will be displayed.
Port | Select the port to execute the AT debug.
CDR Enabled | Sets whether to enable the feature of CDR. It is required to fill in Server Address and Server Port in case CDR is enabled. By default, CDR is disabled.
Server Address | Sets the server address to receive CDR.
Server Port | Sets the server port to receive CDR.
Save CDR | Sets whether to save CDR, with the default value of NO.
Amount of Saved CDR | Sets the amount of saved CDR. Range of value: 200~10000, with the default value of 5000.
API Enabled | When this feature is enabled, the remote terminal can invoke the API interface. The default value is No.
Remote IP Address allowed to Invoke API | Sets the remote IP addresses which are allowed to invoke the API interface. Up to 5 addresses can be configured and each of them are separated by “,”. “*” denotes all IP addresses are allowed.
Username for API Call, Password for API Call | The authorized username and password for calling the API interface.
Time Calibration | Sets the calibration mode for the time. Three options available: NTP, Synchronized with Operator and Close, with the default value of Synchronized with Operator.
NTP Server Address | Sets the Server address for NTP time synchronization.
Synchronizing Cycle | Sets the cycle for NTP time synchronization. The default value is 3600.
System Time | The system time. Check the checkbox before Modify and change the time in the edit box if Time Calibration is set to Close.
Time Zone | The time zone of the gateway.
Daily Restart | Sets whether to restart the gateway regularly every day at the preset Restart Time. By default, this feature is disabled.
Restart Time | Sets the time to restart the gateway regularly.


3.5.3 Service Config

Figure 3‑31 Service Config Interface

See Figure 3‑31 for the Service Config interface. The table below explains the items shown in the above figure.

Item | Description
Enable Two Stage Dialing Mode for PSTN Outgoing Calls | Sets whether to enable the two stage dialing mode for PSTN outgoing calls. Under this mode, for an outgoing call from a wireless port, the IP side will hear the dial tone. If you fail to input the number during the schedule time, the wireless port will hang up the call automatically; otherwise, it will make an outgoing call to the number. The default value is disabled.
Maximum Wait Time for PSTN Outgoing Calls | Sets the maximum wait time waiting for the called party pickup during an outgoing call. Range of value: 10~120, calculated by s, with the default value of 60.
Dial Interval | Sets the largest interval between two digits of a dialing number. Range of value: 1~10, calculated by s, with the default value of 6. In case your dialing rules do not include “.”, the call will fail if there is no digit dialed or no dialing rule matched during this interval; in case your dialing rules include “.”, the gateway will wait until this interval ends and match to the dialing rule “.” if there is no digit dialed or no other dialing rule matched during this interval.
Busy Tone Detection Mode | Sets the busy tone detection mode, three options available: Common (hangup on busy), Delayed (Delayed hangup on busy), Undetected (no busy detection). By default it is set to Common.
Communication without Network | Automatically routes a call to the wireless port in case of network failure or call timeout. The default value is disabled.
IPàTel Call Failure, Auto Transfer | Sets whether to enable the feature of transferring the call to a designated IP automatically when a call from IP to Tel fails, with the default value of disable. If this feature is enabled, you are required to enter Target Number (Registered) or Target IP and Target Port (Unregistered).
Tel à IP Call Failure, Auto SMS Reply | Sets whether to enable the feature of automatic SMS reply when a call from Tel to IP fails, with the default value of disable. The following four options will be available if this feature is enabled. They are Unconnected, No Answer, Rejected, Fail to Connect. You can select any one of them and define the corresponding content to reply.
Auto Reconnect to BS after Consecutive Call Failure | When the outgoing calls from a port has failed for several times consecutively: for the SMG4004/SMG4008 series, the gateway will automatically reconnect the SIM card on this port to the base station; for the SMG4016/SMG4032 series, the gateway will automatically switch to other card slots available for the port and reconnect, the SIM card to the base station if there is no available card slot..
Work Mode | Sets the work mode for the echo canceller. There are two options: Near-end cancellation and Both near-end and far-end cancellation, with the default value of Near-end cancellation.
Non-linear Processing | Sets whether to enable the mode of non-linear processing. By default, this feature is enabled.
Fixed Window Size | Sets the size of the window for the fixed cancellation.
Moving Window Size | Sets the size of the window for the moving cancellation.


3.5.4 Dialing Rule

Considering efficiency, it is not acceptable that the gateway reports to the PBX or relevant devices every time it receives a number. Instead, we hope that the gateway can automatically judge the received number to see if it meets the set rule, if it is complete and if it is qualified to make outgoing calls. Therefore, a whole dialing plan, which consists of multiple dialing rules specifying the auto judging conditions, is required. Each dialing rule has a priority, which is used to restrict the sequence and avoid conflict.

Figure 3‑32 Dialing Rule Configuration Interface (Standard)

See Figure 3‑32 for the Dialing Rule Configuration interface under the standard mode. The list in the above figure shows the dialing rules with their priorities and description, which can be added by the Add New button on the bottom right corner. See Figure 3‑33 for the dialing rule adding interface.

Figure 3‑33 Add New Dialing Rule

The table below explains the items shown in Figure 3‑33.

Item

Description

Index

The unique index of each dialing rule, which denotes its priority. A dialing rule with a smaller index value has a higher priority and will be checked earlier while matching.

Description

Remarks for the dialing rule. It can be any information, but can not be left empty.

Dialing Rule

Up to 100 dialing rules can be configured in the gateway, and the maximum length of each dialing rule is 127 characters. See below for the meaning of each character in the dialing rule. The gateway will do instant matching for your dialing number based on the dialing rule and regard your dialing as finished upon receiving ‘#’ or dialing timeout.

Character | Description
“0”~”9” | Digits 0～9.
“A”~”D” | Letters A～D.
“x” | A random number. A string of ‘x’s represents several random numbers. For example, ‘xxx’ denotes 3 random numbers.
“.” | ‘.’ indicates a random amount (including zero) of characters after it.
“[ ]” | ‘[ ]’ is used to define the range for a number. Values within it only can be digits ‘0~9’, punctuations ‘-‘ and ‘,’. For example, [1-3,6,8] indicates any one of the numbers 1, 2, 3, 6, 8.
“-” | ’-’ is used only in ‘[ ]’ between two numbers to indicates any number between these two numbers.
“,” | ’,’ is used to separate numbers or number ranges, representing alternatives.
“*” | Only represents symbol ”*”.
“#” | Only set it at the beginning of the string, representing symbol “#”.

There are 19 dialing rules already configured on the gateway for easy use. See below for detailed information.

Priority | Dialing Rule | Description
99 | . | Any number in any length.
98 | 01[3-5,7-8]xxxxxxxxx. | Any 12-digit number starting with 013, 014, 015, 017 or 018
97 | 010xxxxxxxx | Any 11-digit number starting with 010
96 | 02xxxxxxxxx | Any 11-digit number starting with 02
95 | 0[3-9]xxxxxxxxxx | Any 12-digit number starting with 03, 04, 05, 06, 07, 08 or 09
94 | 120 | Number 120。
93 | 11[0,2-9] | Number 110, 112, 113, 114, 115, 116, 117, 118 or 119
92 | 111xx | Any 5-digit number starting with 111
91 | 123xx | Any 5-digit number starting with 123
90 | 95xxx | Any 5-digit number starting with 95
89 | 100xx | Any 5-digit number starting with 100
88 | 1[3-5,7-8]xxxxxxxxx | Any 11-digit number starting with 13, 14, 15, 17 or 18
87 | [2-3,5-7]xxxxxxx | Any 8-digit number starting with 2, 3, 5, 6 or 7
86 | 8[1-9]xxxxxx | Any 8-digit number starting with 81, 82, 83, 84, 85, 86, 87, 88 or 89
85 | 80[1-9]xxxxx | Any 8-digit number starting with 801, 802, 803, 804, 805,.806, 807, 808 or 809
84 | 800xxxxxxx | Any 10-digit number starting with 800
83 | 4[1-9]xxxxxx | Any 8-digit number starting with 41, 42, 43, 44, 45, 46, 47, 48 or 49.
82 | 40[1-9]xxxxx | Any 8-digit number starting with 401, 402, 403, 404, 405, 406, 407, 408 or 409
81 | 400xxxxxxx | Any 10-digit number starting with 400

After configuration, click Save to save the above settings into the gateway or click Close to cancel the settings.

Click Modify in Figure 3‑32 to modify the dialing rules. See Figure 3‑34 for the dialing rule modification interface. The configuration items on this interface are the same as those on the Add New Dialing Rule interface.

Figure 3‑34 Modify Dialing Rule

To delete a dialing rule, check the checkbox before the corresponding index in Figure 3‑32 and click the ‘Delete’ button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all dialing rules at a time, click the Clear All button in Figure 3‑32.

See Figure 3‑35 for the Dialing Rule Configuration interface under the Character mode. You can edit the dialing rule list to add a new one or modify an old one. The exact meaning of each rule element is described on the page.

Figure 3‑35 Dialing Rule Configuration Interface (Character)


3.5.5 Function Key

See Figure 3‑36 for the function key configuration interface where you can set a cluster of combination keys. An external phone can dial the wireless port and press the combination keys after hearing the speech prompt “Please dial the extension number” to query or set the network port.

Figure 3‑36 Function Key Configuration Interface

Click “Enable” to enable the corresponding function key. The gateway will use the default function keys when the mode is set to default; and it will allow you to set new function keys when the mode is set to user-defined. Click Save to save your settings into the gateway.


3.5.6 Cue Tone

Figure 3‑37 Cue Tone Interface

See Figure 3‑37 for the Cue Tone interface. The table below explains the items shown in the above figure.

Item | Description
Language | Sets the language for the gateway to play voice, including two options Chinese and English. The default setting is English.
Upload a file of cue tone | Uploads a user-defined cue tone file to the gateway.
Two Stage Dialing for PSTN Outgoing Calls Tips | Sets the cue tone of two stage dialing for the PSTN outgoing calls, including two options: Dial Tone and File Playback. You are required to upload a file for playing if File Playback is selected.

Click Save to save the above settings into the gateway.


3.5.7 Color Ring

Figure 3‑38 Color Ring Interface

By default, there is no available color ring on the gateway. See Figure 3‑38. Click Upload to upload a new color ring manually. Follow Figure 3‑39 to upload the required color ring file to the gateway.

Figure 3‑39 Color Ring Upload Interface

The table below explains the items shown above:

Item | Description
Index | The unique index of each color ring to be uploaded.
Description | It is user-defined, with the default value of default.
Color Ring | The file of the color ring to be uploaded.

After configuration, click Upload to upload the color ring file to the gateway or click Return to cancel the upload. See Figure 3‑40 for the Color Ring Management interface after the upload.

Figure 3‑40 Color Ring Management Interface

Click Modify in Figure 3‑40 to modify the configuration of the color ring. See below for the color ring modification interface. The configuration items on this interface are the same as those on the Color Ring Upload interface.

Figure 3‑41 Color Ring Modification Interface

To delete a color ring, check the checkbox before the corresponding index in Figure 3‑40 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all color rings at a time, click the Clear All button in Figure 3‑41.


3.5.8 QoS

Figure 3‑42 Differentiated Services Setting Interface

See Figure 3‑42 for the Differentiated Services setting interface. Using this technology, the gateway can meet various application requirements under a limited bandwidth and ensure neither delay nor discard for important services so as to improve its quality of services.

The table below explains the items shown in the above figure.

Item | Description
QoS | Sets whether to enable the OoS differentiated services. By default, it is disabled.
Media Premium QoS | Sets the priority of the media premium for QoS. A media premium QoS with a bigger value has a higher priority. The value range is 0~63, with the default value of 46.
Control Premium QoS | Sets the priority of the control premium for QoS. A control premium QoS with a bigger value has a higher priority. The value range is 0~63, with the default value of 26.


3.5.9 Tone Generator

Figure 3‑43 Tone Generator Setting Interface

See Figure 3‑43 for the Tone Generator Setting interface. By default, there are three tones on it: Dial Tone—a single tone with 450HZ frequency, plays continuously; Ringback Tone—a single tone with 450HZ frequency, repeatedly playing in the method of 1s play and 4s pause; Busy Tone—a single tone with 450HZ frequency, repeatedly playing in the method of 350ms play and 350ms pause. You can configure the tone generator manually. The exact explanation about the format and the meaning is described on the right of the interface. The value range of the tone energy herein above is -12~17, calculated by dB, with the default value of 0.


3.5.10 CDR Query

Figure 3‑44 CDR Query Setting Interface

See Figure 3‑44 for the CDR Query Setting interface. The table below explains the items shown in the above figure.

Item | Description
Starting Date, Ending Date | Sets the starting and ending dates for CDR query.
Port | Sets the port on which CDR query will proceed.
Call Direction | Sets the call direction for CDR query.
CallerID, CalleeID | Sets the CallerID/CalleeID for CDR query.
Call Duration | Sets the minimum/maximum call duration for CDR query.

Click Query to query the CDR information corresponds to the above settings.

Figure 3‑45 CDR Information Interface

Note: This page will appear only when the CDR feature is enabled (set in 3.5.2 System Param).


3.5.11 VPN

Figure 3‑46 VPN Settings Interface

Thanks to the embedded VPN Client, the wireless gateway can access the VPN network via OPENVPN directly, not requiring extra VPN client, which simplifies the network deployment. Meanwhile, the design of both SIP signaling messages and voice streams transporting via VPN avoids possible problems induced by the SIP protocol in passing through the firewall and NAT. See Figure 3‑46 for the VPN Settings interface. The table below gives the explanation to the items shown in the above figure.

Item | Description
Enable OPENVPN | Sets whether to enable the VPN feature, with the default value of No. If this feature is enabled, the gateway will work as a VPN client.

You are required to upload the VPN certificate after enabling the VPN feature. See Figure 3‑47.

Figure 3‑47 VPN Certificate Upload Interface

Note: Refer to Appendix C VPN Certificate for how to make a VPN certificate.


3.6 Wireless Settings

Wireless Settings includes several parts: Basic Param, Wireless Param, Call Forwarding, Short Message, IMEI (GSM&WCDMA series), USSD (GSM&WCDMA series), Email, SIM Card PIN Manage, BS Select (GSM series), Networking Setting (WCDMA series) and AMD (CDMA series). See Figure 3‑48, Figure 3‑49 and Figure 3‑50.

Figure 3‑48 Wireless Settings for GSM

Figure 3‑49 Wireless Settings for WCDMA

Figure 3‑50 Wireless Settings for CDMA


3.6.1 Basic Parameters

Figure 3‑51 Basic Parameters Setting Interface for GSM

Figure 3‑52 Basic Parameters Setting Interface for WCDMA

Figure 3‑53 Basic Parameters Setting Interface for CDMA

Figure 3‑54 Basic Parameters Setting Interface for LTE

See Figure 3‑51, Figure 3‑52, Figure 3‑53, Figure 3‑54 for the basic parameters setting interface. The table below explains the items shown in the above figure.

Item | Description
GSM (WCDMA/LTE) Voice Encoding | Sets the mode of the GSM (WCDMA/LTE) voice encoding. By default, the voice encoding for GSM is Automatic and for WCDMA/LTE is AMR.
Volte | Once this feature is enabled, the 4G function will be enabled when there is a call ongoing on; Otherwise, only 2G or 3G function is available.
GSM (WCDMA/CDMA/LTE) DTMF Send Mode | Sets the mode to send the GSM (WCDMA/CDMA/LTE) DTMF, three options available for GSM (WCDMA/CDMA): Voice Playback, Remote Transmission and Chip Transmission. The default value is Voice Playback. Two options are available for LTE: Remote Transmission and Chip Transmission. The default value is Remote Transmission.
DTMF Transmission Intensity | Sets the transmission intensity of the DTMF. The default values for the GSM gateway and the WCDMA gateway are respectively 6 and 1. Note: 1, This configuration item is unsupported when the DTMF send mode is set to Remote Transmission; 2, This configuration item is unsupported for the CDMA gateway.
Duration at ON | Sets the duration of the DTMF signal at ON state, calculated by ms. The default value is 120.
Duration at OFF | Sets the duration of the DTMF signal at OFF state, calculated by ms. The default value is 100.
Disconnect Voice while Sending DTMF | Sets whether to disconnect the voice channel while sending the DTMF, with the default value of No. Note: This configuration item is unsupported when the DTMF send mode is set to Remote Transmission;
GSM (WCDMA/CDMA/LTE) DTMF Receive Mode | Sets the mode to receive the GSM (WCDMA/CDMA/LTE) DTMF, two options available: Chip Receive and Wireless Module Receive. The default values for GSM WCDMA and LTE are Wireless Module Receive; the default value for CDMA is Chip Receive.
DTMF Voltage Detection for GSM | Set the On and off of the DTMF detection for GSM.
Network Scan Mode | Sets a network for the call, three options available for the WCDMA gateway: Automatic, GSM Only and WCDMA Only. The default value is Automatic. Nine options are available for the LTE gateway: Automatic, GSM Only, WCDMA Only, LTE Only, TD-SCDMA Only, UMTS Only, CDMA Only, HDR Only, CDMA and EVDO Only. The default value is Automatic
Network Scan Sequence | Sets the priority of the network, three options available for the WCDMA gateway: Automatic, GSM prior to WCDMA and WCDMA prior to GSM. The default value is Automatic. Only the option Automatic is available for the LTE gateway.
SMS Sending Interval | Sets the interval to send SMS for each port. Range of value: 1~60, with the default value of 1.
Maximum Pieces of Saved Logs | Sets the amount of the logs to be saved for each port. Range of value: 50~500, with the default value of 100.
SMS Receipt | Once this feature is enabled, the gateway will receive a receipt upon the remote side receiving the SMS. Note: This configuration item is unsupported for the CDMA gateway.
AT Command Mode | Sets the AT command sent with the call forwarding. There are two options available: CCFC command mode and ATD command mode. The GSM gateways support both modes, while the WCMDA/LTE gateways only support the CCFC command mode and the CDMA gateways only support the ATD command mode.
Set/Cancel Service Number for FWD Unconditionally, Set/Cancel Service Number for FWD on Busy, Set/Cancel Service Number for FWD on No Reply, Set/Cancel Service Number for FWD on Unreachable | Sets or Cancels the service No. for FWD unconditionally, FWD on busy, FWD on no reply or FWD Unreachable. The former box is used to set the service No, while the latter one is to cancel the service No,.
Cancel All FWD Service Numbers | Used to cancel all service numbers for FWD unconditional, FWD on busy and FWD on no reply.
Cancel All Waiting Service Numbers | Used to cancel the service number for call waiting.
SIP Answer Code | Sets the SIP answer code for each state of the called party.

Click Save to save the setting into the gateway, click Reset to restore the configurations.


3.6.2 Wireless Param

Figure 3‑55 Wireless Parameters Configuration Interface

See Figure 3‑55 for the Wireless Parameters Configuration interface. Click Modify in Figure 3‑55 to modify the properties of the corresponding module. See Figure 3‑56 for the Wireless Parameters Modification interface.

Figure 3‑56 Wireless Parameters Modification Interface

The table below explains the configuration items on the Wireless Parameters Modification interface.

Item | Description
Port | The number of the port corresponding to the wireless module.
Cell Phone No. | The number of the SIM card corresponding to the wireless module. This number should be configured manually.
Destination Number | Sets the destination number to receive the short message.
Content to Send | Sets the content of the short message.
Keywords to Match | Sets the keywords used to get the cell phone No. from the received SMS.
Bits of Prefix to be Removed from Phone No. | Sets the bits of the prefix to be removed from the cell phone No.. Up to 4 bits can be removed.
Get Phone No. after SIM Card Registration | Sets whether to get the cell phone No. after the SIM card being registered successfully.
IP->GSM(WCDMA/CDMA) Voice Volume | The volume of the voice from IP to GSM/WCDMA/CDMA. By default, the value for GSM is 3; the value for WCDMA is 10000; the value for CDMA is 1.
GSM(WCDMA/CDMA)->IP Voice Volume | The volume of the voice from GSM/WCDMA/CDMA to IP. By default, the value for GSM is 40; the value for WCDMA is 3; the value for CDMA is 2.
IMSI | International Mobile Subscriber Identification Number, the unique identity of the SIM card.
IMEI | International Mobile Equipment Identity. Note: This configuration item is unsupported for the CDMA gateway.
Operator | The operator of the wireless module. It is obtained automatically. This configuration is unavailable for CDMA module.
Working Frequency Band | Displays the working frequency band of the wireless module. This configuration is unavailable for CDMA module.
Status | Displays the current state of the wireless module.
Apply to all the modules | Sets whether to apply all the settings except for the cell phone number to all the modules.

Click Modify to save the settings into the gateway, click Reset to restore the configurations, or click Cancel to cancel the settings.


3.6.3 Call Forwarding

Figure 3‑57 Call Forwarding Configuration Interface

See Figure 3‑57 for the Call Forwarding Configuration interface. The table below explains the items shown in the above figure.

Item | Description
Port | The number of the port corresponding to the wireless module.
Cell Phone No. | The number of the SIM card corresponding to the wireless module.
FWD Unconditionally | Sets whether to enable the feature of FWD unconditionally and the FWD number if it is enabled.
FWD on Busy | Sets whether to enable the feature of FWD on busy and the FWD number if it is enabled. Note: Be sure to disable the Call Waiting feature before using it.
FWD on No Reply | Sets whether to enable the feature of FWD on no reply and the FWD number if it is enabled.
FWD on Unreachable | Sets whether to enable the feature of FWD on unreachable and the FWD number if it is enabled. This configuration is unavailable for CDMA module.
FWD Setting Status | Displays the setting status of the call forwarding service.
FWD Query Status | Displays the query status of the FWD settings. This configuration is unavailable for CDMA module.
Cancel All | Cancels all the setting on call FWD service. This item will appear if none of the call FWD is selected.

Click Modify in Figure 3‑57 to modify the properties of the corresponding port. See Figure 3‑58 for the call forwarding modification interface. Then click Modify to save the settings into the gateway. It will take some time to apply the settings, and you can check the result in the ‘FWD Setting Status’ column. Click Reset to restore the configurations, or click Cancel to cancel the settings.

Figure 3‑58 Wireless Service Modification Interface


3.6.4 Short Message

Figure 3‑59 Short Message Interface

Figure 3‑60 Short Message Interface for SMG4008

See Figure 3‑59, Figure 3‑60 for the Short Message interface which displays the related information about the received/sent SMS.

Click SMS Center to go into the SMS Center Modification interface. See Figure 3‑61. Click Save to save the settings into the gateway, click Close to cancel the settings.

Figure 3‑61 SMS Center Modification Interface

Note: The configuration of SMS Center is unavailable for CDMA gateway.

Click Inbox in Figure 3‑59 to go into the SMS Receiver Details interface. See Figure 3‑62. Such information as the remote cell phone number, the time and the content will be displayed on this page.

Figure 3‑62 Inbox Interface

To delete a piece of SMS receiving detail, check the checkbox before the corresponding index in Figure 3‑62 and click the Delete button.

Click Outbox in Figure 3‑59 to go into the SMS Sending interface. See Figure 3‑63. Such information as the send status of the SMS, the remote cell phone number, the time, and the content will be displayed on this page.

Figure 3‑63 Outbox Interface

To delete a piece of record, check the checkbox before the corresponding index in Figure 3‑63 and click the Delete button. To filter the receive/send short messages according to the setting conditions, click the Filter button on the bottom right corner in Figure 3‑62 or Figure 3‑63. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; to clear all records at a time, click the Clear All button in Figure 3‑62; to go back to the previous page, click Return.

Click Send SMS in Figure 3‑59 to go into the Send SMS interface. See Figure 3‑64.

Figure 3‑64 Send SMS Interface

The table below explains the configuration items on the Send SMS interface.

Item | Description
Port | Select a port to send the SMS.
Number Import | Click Browse to select the required number file and then click Import to import this file.
Send to | Enter the remote number to receive the SMS.
Encoding Format | The encoding format for the SMS, two options available: GSM 7bit and UCS2.
Content | The content of the SMS required to be sent.
Result | Display the send result of the SMS.

Click Send to send out the SMS, click Clear Result to clear all results. Click Reset to restore the configurations, or click Return to go back to the previous


3.6.5 IMEI

Figure 3‑65 IMEI Interface

See Figure 3‑65 for the IMEI interface. Read the agreement carefully and click Accept before you go into the IMEI Modification interface. There are two optional modes for IMEI modification: Manual Modify and Auto Modify. Click Manual Modify to go into the IMEI manual modification interface (Figure 3‑66).

Figure 3‑66 IMEI Manual Modification Interface

The default IMEI information will be displayed after clicking Initial Value in Figure 3‑66, you can save and use it according to your requirement.

Click Auto Modify to go into the IMEI auto modification interface (Figure 3‑67).

Figure 3‑67 IMEI Auto Modification Interface

If the modification mode is set to Based on Time/Call, IMEI Generation Mode has only one option Automatic; if the modification mode changes to Switch Card per Time, there are three modes available for the IMEI Generation Mode: Automatic, Based on Number (Server) and Based on Number (Corresponding table). You are required to fill in the IMEI TAC and IMEI Serial Number Range. See Figure 3‑67 for the detailed generation mode for IMEI. If the Based on Number (Server) mode is selected, the IMEI value will be obtained from the server and you are required to fill in the server address (Example: http：//201.123.115.111); If the Based on Number (Corresponding table) mode is selected, the IMEI value will be obtained from the corresponding table of the cell phone number and IMEI, and you can directly fill in the corresponding table on the interface or upload the file. For the format of the corresponding table, refer to the notes at the bottom of the interface.

After configuration, click Save to save the above settings into the gateway or click Reset to restore the configurations.

Note: This configuration is unavailable for CDMA module.


3.6.6 USSD

Figure 3‑68 USSD Setting Interface

See Figure 3‑68 for the USSD Setting interface. The table below explains the items shown in the above figure.

Item | Description
Default USSD Encoding | Sets the default encoding format for USSD, two options available: ASCII and UCS2.
Port | Sets the port used to send the USSD request.
Request | Inputs the content of the USSD request.
Respond | Displays the result of the USSD respond.
All | Selects all the available ports to send the same USSD request.

Click Send in Figure 3‑68 to send out the USSD request. Click Clear Data to clear all data.

Note: This configuration is unavailable for CDMA module.


3.6.7 Email

Figure 3‑69 Email Setting Interface

See Figure 3‑69 for the Email Setting interface. The table below explains the configuration items on the Email Setting interface.

Item

Description

Mailbox Account, Password

Sets the account and password of the mailbox.

Outgoing (SMTP), Port

Sets the server address and port for Email sending.

Incoming (POP3), Port

Sets the server address and port for Email receiving.

SSL

Sets whether to encrypt the sending/receiving mails via SSL.

Show Log

Click it to display the log which contains the Email to SMS converted information.

Bind Mailbox to Port

Once this feature is enabled, the mailbox can be bound to the designated port. Click Setting to go into the “Bind Mailbox to Port-Settings” interface.

Convert SMS to Email

SMS can be converted to Emails if this feature is enabled.

Target Address

The target address to which the Email converted by SMS will be sent.

Subject

Sets the subject for the Email converted by SMS.

Covert Email to SMS

When this feature is enabled, the mails in a designated format (See Note 4 and 5 in Figure 3‑69) can be converted to SMS.

Receiving Cycle

Sets the cycle to receive mails. Range of value: 1~60, calculated by minute, with the default value of 5.

Mail Filtering

Sets the condition to convert the mail to SMS, two options including: Subject matching and Number matching, with the default value of Subject matching. If the Subject matching mode is selected, you can set the subject of your own choice, and the email format is “[Number]XXX[End] [SMS]YYY[End]; (Case Insensitive)”;

If the Number matching mode is selected, the mail subject must be numbers, multiple numbers are supported which should be separated by “,”, and the email format is “[SMS]......[end]”.

SMS Sending Port

Sets the port from which the SMS will be sent out. The default value is automatic.

Return Receipt

Sets whether to receive a return receipt telling the mail is sent successfully or not.

After configuration, click Save to save the settings into the gateway or click Reset to reset the settings.


3.6.8 SIM Card

Figure 3‑70 SIM Card List Interface

See Figure 3‑70 for the SIM Card List interface, which displays the states of each SIM card and the strategy to switch the SIM, etc.. Click the SIM card in Exist state to set it to Using state, at the same time, the SIM card which is ever in Using state at first will switch to Exist state. Click Modify to modify the parameters. See Figure 3‑71.

Figure 3‑71 SIM Card Management Interface

The table below explains the items shown in the above figure.

Item | Description
Port | Serial number of the port on the device.
Auto Switch to Available SIM Card | Once this feature is enabled, it will switch to other available SIM card automatically if the current SIM card is drawn out or the corresponding port is unavailable due to the SIM card is damaged. The default value is enable.
Switch Strategy for SIM Card | Sets the switch strategy for the SIM card. There are four options: Based on Time, Based on Call, Fixed Time and Disable, with the default value of Disable.
Apply to All Ports | Sets whether to apply the above configurations to all ports.

Click Modify to save the above settings into the gateway or click Reset to restore the configurations. Click Return to cancel the modification.


3.6.9 PIN Manage

Figure 3‑72 PIN Manage Interface

See Figure 3‑72 for the PIN Manage interface, which display the status of the SIM card and the setting status of PIN and PUK. Click Modify to go into the modification interface. See Figure 3‑73.

Figure 3‑73 PIN Manage Modification Interface

Click “Yes” and input the correct PIN to lock the SIM card. The incoming/outgoing calls will not be initiated once the SIM card is locked. See Figure 3‑74.

Figure 3‑74 SIM Card Locked PIN Required

Click Modify in Figure 3‑74, you are required to input PIN again, see Figure 3‑75.

Figure 3‑75 Input PIN Interface

After the correct PIN is input, the SIM card is still locked but the channel turns idle and allows the initiation of incoming/outgoing calls, see Figure 3‑76.

Figure 3‑76 SIM Card Locked without PIN

Click Modify in Figure 3‑76 to unlock the SIM card or modify the PIN, see below figure.

Figure 3‑77 Lock SIM Card or Modify PIN Interface

The SIM card will also be locked and cannot make incoming/outgoing calls if you input a wrong PIN code three times, You are required to input the PUK to reset the PIN, see Figure 3‑78.

Figure 3‑78 SIM Card Locked Need PIN and PUK

Click Modify in Figure 3‑78 to input PUK and reset a new PIN, see Figure 3‑79.

Figure 3‑79 New PIN setting interface

The SIM card is still locked but do not need PIN and PUK again after inputting the correct PUK and resetting a new PIN. The status of the port displaying in Port State is idle. So the port can make incoming/outgoing calls. Click Modify to save the above settings into the gateway or click Reset to restore the configurations. Click Cancel to cancel the modification.

Note: The SIM card will be locked forever if you input a wrong PUK more than 10 times. You need to insert a new card.


3.6.10 BS Select

Figure 3‑80 Base Station Select Interface

See Figure 3‑80 for the Base Station Select interface, which displays the information of the base stations which can be searched and connected. Click Modify in Figure 3‑80 to go into the Lock BS interface, see Figure 3‑81.

Figure 3‑81 Lock BS Interface

The table below explains the items shown in the above figure.

Item | Description
Port | The number of the port corresponding to that on the wireless module.
Serial No. | The serial number of the base station which can be searched.
BS | The frequency point of each base station.
LAC | The location number of each base station. It’s a hexadecimal number.
CELLID | The cell number of each base station. It’s a hexadecimal number.
Manual Lock | Select the serial number and click the Lock button behind to lock the base station manually. Thus, the SIM card will connect to the locked base station randomly.
Automatic Lock | Select the serial number to lock the base station automatically. The SIM card will connect to the locked base station in a cyclic order according to the set switching time.
Switching Time | Sets the switching time for connecting the base station.
BS in Use | Selects the serial number of the base station to be locked automatically.

Click Lock to save the above settings into the gateway or click Return to cancel the modification and return back to the previous page.

To cancel the lock, check the checkbox before the corresponding index in Figure 3‑80 and click the ‘Cancel’ button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Query means to query the information of all the base stations which can be connected.

Note: This configuration is only supported by the GSM gateway.


3.6.11 Networking Settings

Figure 3‑82 Networking Management Interface

Figure 3‑83 Networking Management Interface for SMG4016

See Figure 3‑82, Figure 3‑83 for the Networking Management interface, which displays the networking information about the SIM card, such as the time to start accessing the network, the consumed flow, etc.. Click Modify in Figure 3‑82 to go into the Networking Settings Modification interface, see Figure 3‑84.

Figure 3‑84 Networking Settings Modification Interface

The table below explains the items shown in the above figure.

Item | Description
Port | The number of the port corresponding to that on the wireless module.
Auto Consume Flow | Once this feature is enabled, the SIM card will surf the internet and consume the flow automatically. The default value is disabled.
URL | Sets the URL address.
APN | Sets the APN. Please get the detailed information from the operator of the SIM card.
Access Times | Sets the times for the SIM card to surf the internet. Range of value: 1~500.
Timing Cycle | Sets the timing cycle for the SIM card to surf the internet.
Time to Access Network | Sets the start time of the SIM card to surf the internet.
Apply to Other Ports | Sets whether to apply the above configurations to other ports.

Click Save to save the above settings into the gateway or click Reset to restore the configurations. Click Cancel to cancel the modification.

Note: This configuration is only supported by the WCDMA module.


3.6.12 AMD

Figure 3‑85 AMD Configuration Interface

See Figure 3‑85 for the AMD Configuration interface. which is to set the parameters for judging whether the phone is picked up by a man or not. The table below explains the items shown in the above figure.

Item | Description
AMD Detection for Outgoing Call | Sets whether to enable the AMD detection while making an outgoing call, with the default value of Disabled.
Line Silence Overtime after Dial Tone | Judges if the line silence after dial tone lasts overtime or not, calculated by ms, with the default value of 30000.
Silence Overtime after tone or Color Ring Being Detected | Judges if the silence after tone or color ring lasts overtime or not, calculated by ms, with the default value of 15000.
Overtime for a Complete AMD Detecting Process | Judges the whole AMD detecting process overtime or not, calculated by ms, with the default value of 70000.
Upper Limit of Detected Continuous Tones | Judges if the tone detected time is overtime or not.
Shortest Voice Duration at ON State | Sets the shortest duration when the voice goes into the High voltage state, calculated by ms, with the default value of 150.
Shortest Voice Duration at OFF State | Sets the shortest duration when the voice goes into the low voltage state, calculated by ms, with the default value of 400.
Maximum Greeting Duration at OFF State | Sets the longest duration of the greetings at the OFF state after a call is picked up by a man, calculated by ms, with the default value of 0.
Shortest Silence Duration before Greeting | Sets the shortest silence duration before the phone is picked up by a man, calculated by ms, with the default value of 600.
Shortest Greeting Duration | Sets the shortest greeting duration in case the phone is picked up by a man, calculated by ms, with the default value of 180.
Maximum Greeting Duration | Sets the longest greeting duration in case the phone is picked up by a man, calculated by ms, with the default value of 1200.
Shortest Silence Duration after Greeting | Sets the shortest silence duration after the phone is picked up by a man, calculated by ms, with the default value of 1200.
Silence Energy Threshold | Sets an energy value that can judge the voice is silence or not, calculated by ms, with the default value of 180.
Energy Difference Proportion of Tone | Sets the difference proportion of the high and low energies in the signal.
Output AMD Dubugging Info to Syslog | Sets whether to output the AMD debugging information to Syslog.
Do not Detect Other Pickup Signal | Sets whether to detect other pickup signals.

Click Save to save the settings into the gateway, click Reset to restore the configurations.

Note: This configuration is only supported by the CDMA module.


3.7 Call Management

Call Management includes five parts: Balance, Port Timer, Name List Timer, Tel àIP Auto Route and Blacklis t. See Figure 3‑86. Balance is used to query the remaining time and balance of a cell phone number; Port Timer is used to calculate the call time length of the corresponding number; Name List Timer is used to set the timing rule to count and manage the call time of the target number; Tel àIP Auto Route is used to set the route for the remote end to call back; Blacklist is used to set a number table to forbid some incoming calls.

Figure 3‑86 Call Management Interface


3.7.1 Balance

Figure 3‑87 Balance Query Interface

Via the Balance Query interface, you can query the balance of a designated cell phone number. Click Modify to modify the query mode. See the modification interface below.

Figure 3‑88 Query Mode Modification Interface

The table below explains the configuration items on the Query Mode Modification interface.

Item | Description
Query Mode | Sets the mode to query.
Destination Number | Sets the destination number to query
Content to Send | Sets the content to send.
Keywords to Match | The balance matching the keywords will be displayed.
Query after SIM Card Registered | Sets whether to query the balance automatically once the SIM card is registered to the base station.
Query Regularly | Sets the time to query the balance regularly.
Alarm for Insufficient Balance | Once this feature is enabled, the gateway will notify the users by sending SMS or Email once the balance goes insufficient. The default value is disabled.
Alarm Threshold | Sets the threshold for the insufficient balance to send the alarming.
Alarm via SMS, Alarm via Email | Sets the addresses to receive the SMS/Email while the balance is insufficient.
Apply to Other Ports | Sets whether to apply these query conditions to other ports or port groups.

Click Modify to save the above settings into the gateway or click Reset to restore the configurations. Click Cancel to cancel the modification.


3.7.2 Port Timer

Figure 3‑89 Port Timer Interface

See Figure 3‑89 for the Port Timer interface, which displays such information as the call time limit on the number corresponding to the port, the timer clear cycle as well as the alarm for the call time allowance. Click Modify for each port in Figure 3‑89 to modify the timer settings. See Figure 3‑90.

Figure 3‑90 Port Timing Setting Interface

The table below explains the configuration items shown in the above figure:

Item | Description
Port | The number of the port corresponding to the wireless module.
Unit | Sets the timing unit for the call. The actual call time will be calculated as the integral multiple of the setting time. Take an example: supposed the setting time is 30s and the actual call time is 72s, thus, the gateway will consider the call time as 90s.
Time Limit on a Single Call | Sets whether to enable the time limit on a single call.
Max Call Time | Sets the maximum time length of a call.
Time Limit on Total Calls | Sets whether to enable the time limit on all calls at the port.
Switch to Other Card if no Time | Sets whether to switch to other available SIM card if the current SIM card has no available time to make calls. Note: This configuration is unavailable for SMG4004 and SMG4008 series gateway.
Timing Cycle | Sets the time count cycle for the port.
Clear | Sets the time node to clear the time count.
Set Spent Call Time | Sets the spent call time length of the port.
Alarm for Call Time Allowance | Once this feature is enabled, when the remaining call time of the port is less than the alarm threshold value, the gateway will send the alarm information.
Allowance Alarm Threshold | Sets the threshold value for the remaining call time.
Alarm via SSM, Alarm via Email | Sets the way to send the alarm information. The gateway can send the alarm information via both SMS and Email or either of them.
Apply to Other Ports | Sets whether to apply above settings to other ports or port groups.

Click Modify to save the settings into the gateway, click Reset to restore the configurations, or click Return to cancel the settings.


3.7.3 Name List Timer

Figure 3‑91 Name List Timer Interface

See Figure 3‑91 for the Name List Timer interface, which contains two parts: Port Timing and Name List Timer Rule. You can add the timing rule to count the call time for the port. Click Add New in Figure 3‑91 to add a timing rule. See Figure 3‑92.

Figure 3‑92 Add Name List Timing Rule Interface

The table below explains the configuration items shown in the above figure:

Item | Description
Number | Sets the number to be timed.
Import Number | Used to import the files on which the numbers need to be timed.
Number Matching Rule | Sets the rule to match the numbers, two options available: Prefix Matching and Whole Words only, with default value of Prefix Matching.
Max Call Time | Sets the maximum time length for a call.
Timing Cycle | Sets the timing cycle for the port.
Clear | Sets the time node to clear the timing.

Click Modify to save the settings into the gateway, click Reset to restore the configurations, or click Return to cancel the settings. After adding the timing rules, click Setting button on the up right corner in Figure 3‑91 to set the timing rule for each port. See Figure 3‑93 for the setting interface.

Figure 3‑93 Set Port Timing Rule Interface

The table below explains the configuration items shown in the above figure:

Item | Description
Rule Index | The index number of the timing rule corresponding to the port.
Set Spent Call Time | Sets the call time already used by the port.

Click Modify to save the settings into the gateway, click Reset to restore the configurations, or click Return to cancel the settings.


3.7.4 Tel to IP Auto Route

The TelàIP Auto Route is used to set routes for the remote phone to call back the gateway. By default, there is no available auto route for a TelàIP call, click Set to set it. See Figure 3‑94.

Figure 3‑94 TelàIP Auto Route Settings Interface

The table below explains the configuration items shown in the above figure:

Item

Description

Route Holding Time

Sets the valid time of the route.

Route Calls back to IP Side

Once this feature is enabled, the calls from the PSTN terminal to the soft terminal will be routed to the soft terminal of the original call. That is, when the soft terminal A called the PSTN terminal B via our gateway, if B doesn’t answer the call or A cancels the call, the later call from B back to the gateway will be routed to the soft terminal A directly.

Once this feature is disabled, the later call dialed back by the remote terminal B will be routed to the original calling party A only if B doesn’t answer the first call from A to B.

Click Modify to save the settings into the gateway, click Reset to restore the configurations, or click Return to cancel the settings.


3.7.5 Blacklist

Figure 3‑95 Incoming Call Blacklist Interface

See Figure 3‑95 for the Incoming Call Blacklist interface. You can designate certain numbers to limit corresponding calls to go into the gateway (calls from the gateway out as well as the SMS are unlimited). The table below explains the configuration items shown in the above figure:

Item | Description
Blacklist | Sets the number list to forbid certain calls to go into the gateway.
Processing Mode | Sets the processing mode for the calls from the numbers in the blacklist to the gateway, two options available: Hang up directly and Hang up after ringing, with the default value of Hang up directly.

Click Save to save the settings into the gateway, click Reset to restore the configurations.


3.8 Port Settings

Port Settings includes two parts: Port and Port Group. See Figure 3‑96.

Figure 3‑96 Port Settings


3.8.1 Port

Figure 3‑97 Port Settings Interface

See Figure 3‑97 for the Port Settings interface. The list in the above figure shows the feature and properties of each port. Click Modify in Figure 3‑97 to modify the properties of the corresponding port. See Figure 3‑98 for the Port Modification interface.

Figure 3‑98 Port Modification

The table below explains the configuration items on the port modification interface.

Item

Description

Port

Serial number of the port on the device.

Register Port

Sets whether to register the port to the SIP server.

When this item is set to No, the item Reg Status on the Port Settings interface (Figure 3‑97) shows Unregistered; when this item is set to Yes, the item Reg Status shows Failed or Registered.

SIP Account

When the port initiates a call to SIP, this item corresponds to the username of SIP. The default SIP account is 80XX among which XX represents the corresponding port number. For example, the default SIP account corresponding to Port 1 is 8001, and that corresponding to Port 8 is 8008.

Password

Registration password of the port. To register a port to the SIP server, both items SIP Account and Password must be filled in.

Authentication Username

Authentication username of a port, used to register the port to the SIP server when IMS network is enabled.

Note: This item appears only when IMS Network is enabled.

Connection Method

Port connection methods include:

Option | Description
Static Binding | Bind the number to a wireless port. The number will be listed in the Bound Number column.
Two Stages Dialing Mode (default) | Under this mode, an incoming call from a wireless port will go into the IVR system. Then IVR will play a speech prompt “Please dial the extension number”. If you fail to input the correct target number before IVR finishes the third repeat of the prompt, the port will hang up the call automatically; otherwise, the call goes out successfully.

Note: Both items Connection Method and Bound Number will be hidden if the SIP Station feature is enabled on the SIP Settings interface.

Echo Canceller

The echo cancellation feature for a call conversation over the wireless channel. By default, this feature is enabled and the effect can reach 128ms.

Forbid Outgoing Call

If this feature is enabled, the port will be forbidden to call out. The default setting is disabled.

Forbid Incoming Call

If this feature is enabled, the port will be forbidden to call in. The default setting is disabled.

Caller ID Detection

If this feature is enabled, the port will detect the Caller IDs from the incoming calls. The default setting is enabled.

Color Ring

Sets whether to enable the color ring feature or not, with the default setting of being disabled.

Note: Only when there are available color rings will this item appear.

Color Ring Index

The index of the color ring which is quoted by the current wireless port.

After configuration, click Modify to save the settings into the gateway, click Reset to restore the configurations, or click Cancel to cancel the settings.

Or you can click Batch to modify several pieces of port settings at the same time. See Figure 3‑99 below for the Port Batch Modification interface.

Figure 3‑99 Port Batch Modification

Some configuration items on this interface are the same as those on the Port Modification Interface. The others are described in the table below.

Item | Description
Starting Port | The starting serial number of the port on the device in the batch setting.
Ending Port | The ending serial number of the port on the device in the batch setting.
Starting SIP Account | The starting SIP account in the batch setting.
Starting Authentication Password | The starting authentication password in the batch setting.
Starting Authentication Username | The starting authentication username in the batch setting.
SIP Account Batch Rule | The rule for batch setting the SIP account, including Increase and Decrease two options.
SIP Account Batch Step Size | Sets the increase or decrease step size of the SIP account in the batch setting.
Authentication Password Batch Rule | The rule for batch setting the authentication password, including Increase and Decrease two options.
Authentication Password Batch Step Size | Sets the increase or decrease step size of the authentication password in the batch setting.
Authentication Username Batch Rule | The rule for batch setting the authentication username, including Increase and Decrease two options.
Authentication Username Batch Step Size | Sets the increase or decrease step size of the authentication username in the batch setting.

After configuration, click Save to save the settings into the gateway, or click Cancel to cancel the settings.


3.8.2 Port Group

Figure 3‑100 Port Group Settings Interface

See Figure 3‑100 for the port group settings interface. A port group is a set containing single or multiple ports, used to specify such properties as Port Selection and Authentication Mode for all the ports in it. A new port group can be added by the Add New button on the bottom right corner of the above list. See Figure 3‑101 for the port group adding interface. Note that a port which has been occupied by one port group cannot be chosen by others.

Figure 3‑101 Add New Port Group

The table below explains the items in the above figure.

Item

Description

Index

The unique index of each port group, which is mainly used in the configuration of routing rules and number manipulation rules to correspond to port groups.

Description

More information about each port group, with default value of default.

Register Port Group

To register the port group to the SIP server. Only when this configuration item is set to Yes can you see the configuration items SIP Account and Password.

SIP Account

When the port group initiates a call to SIP, this item corresponds to the username of SIP.

Password

Registration password of the port group. To register the port group to the SIP server, both configuration items SIP Account and Password should be filled in.

Authentication Username

Authentication username of a port, used to register the port to the SIP server when IMS network is enabled.

Note: This item appears only when IMS Network is enabled.

Server Index

The index of the sip server which will be quoted by the current port.

Authentication Mode

Sets the way for SIP to make outgoing calls (TelàIP) on the gateway.

Option | Description
Do Not Register (default) | SIP initiates a call in a point-to-point mode.
Register Port Group | SIP initiates a call with the registered SIP account and password of the port group.
Register Port | SIP initiates a call with the registered SIP account and password of the port.

Register Status

Registration status of the port group. See Figure 3‑100. When Register Port Group is set to No, the value of this item is Unregistered; when Register Port Group is set to Yes, the value of this item may be Failed or Registered.

Port Select Mode

When the port group receives a call, it will choose a port based on the select mode set by this configuration item to ring or to connect. The optional values and their corresponding meanings are described in the table below.

Option | Description
Increase (default) | Search for an idle port in the ascending order of the port number, starting from the minimum. If no match is found, search repeatedly until finding a port which is allowed to enter the call waiting state.
Decrease | Search for an idle port in the descending order of the port number, starting from the maximum. If no match is found, search repeatedly until finding a port which is allowed to enter the call waiting state.
Cyclic Increase | Provided Port N is the available port found last time. Search for an idle port in the ascending order of the port number, starting from Port N+1. If no match is found, search repeatedly until finding a port which is allowed to enter the call waiting state.
Cyclic Decrease | Provided Port N is the available port found last time. Search for an idle port in the descending order of the port number, starting from Port N-1. If no match is found, search repeatedly until finding a port which is allowed to enter the call waiting state.
Group Ringing | Ring all the idle wireless ports in this port group.

Color Ring

Sets whether to enable the color ring feature or not, with the default setting of being disabled.

Note: Only when there are available color rings and the “Port Select Mode” is set to Grouping Ringing will this item appear.

Color Ring Index

The index of the color ring which is quoted by the current wireless port.

Port

The ports in the port group. If the checkbox before a port is grey, it indicates that the port is not available or has been occupied. All selected ports for a port group will be displayed in the Ports column in Figure 3‑100. Note: When a port group contains multiple ports, the automatic call forward feature is invalid.

After configuration, click Save to save the settings into the gateway, click Cancel to cancel the settings. Check All means to select all available ports on the current page; Inverse means to uncheck the selected items and check the unselected.

Click Modify at the end of the list in Port Group Settings Interface to modify the properties of a port group. See Figure 3‑102 for the Port Group Modification interface. The configuration items on this interface are the same as those on the Add New Port Group interface.

Figure 3‑102 Modify Port Group

To delete a port group, check the checkbox before the corresponding index in Figure 3‑100 and click the ‘Delete’ button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all port groups at a time, click the Clear All button in Figure 3‑100.


3.9 Route Settings

Route Settings is used to specify the routing rules for calls on two directions: IPàTel/IP and TelàIP. See Figure 3‑103.

Figure 3‑103 Route Settings


3.9.1 Routing Parameters

Figure 3‑104 Routing Parameters Configuration Interface

See Figure 3‑104 for the routing parameters configuration interface. On this interface, you can set the routing rules for calls respectively on two directions IPàTel/IP and TelàIP to be routing before or after number manipulation. The default value is Route before Number Manipulate.

After configuration, click Save to save the above settings into the gateway.


3.9.2 IP to Tel/IP

Figure 3‑105 IPàTel/IP Routing Rule Configuration Interface (Standard)

See Figure 3‑105 for the IPàTel/IP routing rule configuration interface. By default, there is no available routing rule on the gateway. The IPàTel/IP routing rule configuration has two modes: Standard and Character.

Under the Standard mode, click Add New to add them manually. See Figure 3‑106. You may use the default values of all the configuration items herein.

Figure 3‑106 Add New Routing Rule (IPàTel/IP)

The table below explains the items shown in the above figure.

Item

Description

Index

The unique index of each routing rule, which denotes its priority. A routing rule with a smaller index value has a higher priority. If a call matches several routing rules, it will be processed according to the one with the highest priority.

Description

More information about each routing rule, with the default value of default.

Source IP

IP address from where the call is initiated. This item can be set to a specific IP address or “*” which indicates any IP address

CallerID Prefix, CalleeID Prefix

A string of characters at the beginning of the caller/called party number. It can be a specific string consisting of digits 0~9, 、”[*]”, ”#" or character ranges defined by [ ]. ‘[ ]’ represents a character within the range it defines. Values in [ ] only can be characters ‘0~9’, ”[*]”, ”#", punctuations ‘-‘ and ‘,’. (’-’ is used between two characters to indicates any character between these two characters. ’,’ is used to separate characters or character ranges, representing alternatives.) For example, 057[1-3,6] represents the string 0571, 0572, 0573 or 0576. Also these items can be set to “*” which indicates any string. These two configuration items together with Source IP specify a routing rule for calls.

Note: “[*]” represents TFM symbol *, while “*” represents any string; Multiple CallerID/CalleeID prefixes can be added simultaneously. They are separated by “:”.

Route by Number

When this feature is enabled, the gateway will route a call from IP to a corresponding port based on its number. And the number of the port which this call will be routed to can be set via the item SIP Account on the Port Settings interface. In such case, the configuration item Call Destination goes invalid and shows Route by Number on the routing rule configuration interface. The default setting is disabled.

Call Destination

Designate a port group or an IP for the call to route.

Destination Port Group

Port group to which the call will be routed.

Destination IP, Destination Port

The IP address and port to which the call will be routed.

After configuration, click Save to save the settings into the gateway or click Close to cancel the settings.

See Figure 3‑107 for the IPàTel/IP routing rule configuration interface after your configuration. There is a rule displayed with Index 63 and Call Destination ‘Route by Number’, having no restriction on Source IP, CallerID Prefix and CalleeID Prefix, which indicates the gateway will route a call from any IP address to a corresponding port based on its number.

Press the Add New button on the bottom right corner of the list to add a new routing rule.

Figure 3‑107 IPàTel/IP Routing Rule Configuration Interface

Click Modify in Figure 3‑107 to modify a routing rule. The configuration items on the IPàTel/IP routing rule modification interface are the same as those on the Add New Routing Rule (IPàTel/IP) interface. Note that the item Index cannot be modified.

To delete a routing rule, check the checkbox before the corresponding index in Figure 3‑107 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all routing rules at a time, click the Clear All button in Figure 3‑107.

See Figure 3‑108 for the IPàTel/IP Routing Rule Configuration Interface under the Character mode. You can edit the routing rule list to add a new one or modify an old one. The exact meaning of each element of the rule is described on the page.

Figure 3‑108 IPàTel/IP Routing Rule Configuration Interface (Character)


3.9.3 Tel to IP

Figure 3‑109 TelàIP Routing Rule Configuration Interface (Standard)

See Figure 3‑109 for the TelàIP routing rule configuration interface. By default, there is no available routing rule on the gateway. The TelàIP routing rule configuration has two modes: Standard and Character.

Under the Standard mode, click Add New to add them manually. See Figure 3‑110. You may use the default values of all the configuration items herein except for Destination IP and Destination Port.

Figure 3‑110 Add New Routing Rule (TelàIP)

The table below explains the items shown in the above figure.

Item

Description

Index

The unique index of each routing rule, which denotes its priority. A routing rule with a smaller index value has a higher priority. If a call matches several routing rules, it will be processed according to the one with the highest priority.

Description

More information about each routing rule, with the default value of default.

Source Port Group (Call Initiator)

Port group from which the call is initiated. This item can be set to a specific port group or ‘*’ which indicates any port group.

CallerID Prefix, CalleeID Prefix

A string of characters at the beginning of the caller/called party number. It can be a specific string consisting of digits 0~9, ”[*]”, ”#" or characters ranges defined by [ ]. ‘[ ]’ represents a character within the range it defines. Values in [ ] only can be digits ‘0~9’, ”[*]”, ”#", punctuations ‘-‘ and ‘,’. (’-’ is used between two characters to indicates any characters between these two characters. ’,’ is used to separate characters or characters ranges, representing alternatives.) For example, 057[1-3,6] represents the string 0571, 0572, 0573 or 0576. Also these items can be set to “*” which indicates any string. These two configuration items together with Source Port Group (Call Initiator) specify a routing rule for calls.

Note: ”[*]” represents DTFM symbol *, while “*” represents any string; Multiple CallerID/CalleeID prefixes can be added simultaneously. They are separated by “:”.

Destination IP, Destination Port

IP address and port number of the remote end to which the call will be routed.

After configuration, click Save to save the settings into the gateway or click Close to cancel the settings.

See Figure 3‑111 for the TelàIP routing rule configuration interface after your configuration. There is a rule displayed with Index 63, Destination IP ‘192.168.1.101’ and Destination Port ‘5060’ (i.e. default IP address and port of the gateway), having no restriction on Call Initiator, CallerID Prefix and CalleeID Prefix, which indicates all the outgoing calls from Tel which conform to the dialing rule will be routed to the gateway.

Figure 3‑111 TelàIP Routing Rule Configuration Interface

Click Modify in Figure 3‑111 to modify a routing rule. The configuration items on the TelàIP routing rule modification interface are the same as those on the Add New Routing Rule (TelàIP) interface. Note that the item Index cannot be modified.

To delete a routing rule, check the checkbox before the corresponding index in Figure 3‑111 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all routing rules at a time, click the Clear All button in Figure 3‑111.

See Figure 3‑112 for the TelàIP Routing Rule Configuration Interface under the Character mode. You can edit the routing rule list to add a new one or modify an old one. The exact meaning of each element of the rule is described on the page.

Figure 3‑112 TelàIP Routing Rule Configuration Interface (Character)


3.10 Number Manipulation

Number Manipulation includes four parts: IP àTel/IP CallerID, IP àTel/IP CalleeID, Tel àIP CallerID and Tel àIP CalleeID. See Figure 3‑113.

Figure 3‑113 Number Manipulation


3.10.1 IP to Tel/IP CallerID

Figure 3‑114 IPàTel/IP CallerID Manipulation Interface (Standard)

See Figure 3‑114 for the IPàTel/IP CallerID manipulation interface under the Standard mode. A new number manipulation rule can be added by the Add New button on the bottom right corner of the list in the above figure. See Figure 3‑115 for the IPàTel/IP CallerID manipulation rule adding interface. You may use the default values of all the configuration items herein.

Figure 3‑115 Add IPàTel/IP CallerID Manipulation Rule

The table below explains the items shown in the above figure.

Item

Description

Index

The unique index of each number manipulation rule, which denotes its priority. A number manipulation rule with a smaller index value has a higher priority. If a call matches several number manipulation rules, it will be processed according to the one with the highest priority.

Description

More information about each number manipulation rule, with the default value of default.

Call Initiator

IP address from where the call is initiated. This item can be set to a specific IP address or “*” which indicates any IP address.

CallerID Prefix, CalleeID Prefix

A string of characters at the beginning of the caller/called party number. It can be a specific string consisting of digits 0~9, ”[*]”, ”#" or character ranges defined by [ ]. ‘[ ]’ represents a character within the range it defines. Values in [ ] only can be digits ‘0~9’, “[*]”, ”#", punctuations ‘-‘ and ‘,’. (’-’ is used between two characters to indicates any character between these two characters. ’,’ is used to separate characters or character ranges, representing alternatives.) For example, 057[1-3,6] represents the string 0571, 0572, 0573 or 0576. Also these items can be set to “*” which indicates any string. These two configuration items together with Call Initiator specify a number manipulation rule for calls.

Note: “[*]” represents DTFM symbol *, while “*” represents any string; Multiple CallerID/CalleeID prefixes can be added simultaneously. They are separated by “:”.

Stripped Digits from Left

The amount of digits to be deleted from the left end of the number. If the value of this item exceeds the length of the current number, the whole number will be deleted.

Stripped Digits from Right

The amount of digits to be deleted from the right end of the number. If the value of this item exceeds the length of the current number, the whole number will be deleted.

Reserved Digits from Right

The amount of digits to be reserved from the right end of the number. Only when the value of this item is less than the length of the current number will some digits be deleted from left; otherwise, the number will not be manipulated.

Prefix to Add

Designated information to be added to the left end of the current number.

Suffix to Add

Designated information to be added to the right end of the current number.

Note: The number manipulation is performed in 5 steps by the order of the following configuration items: Stripped Digits from Left, Stripped Digits from Right, Reserved Digits from Right, Prefix to Add and Suffix to Add.

After configuration, click Save to save the settings into the gateway or click Close to cancel the settings. See the figure below.

Figure 3‑116 IPàTel/IP CallerID Manipulation Interface (Standard)

Click Modify in Figure 3‑116 to modify a number manipulation rule. See Figure 3‑117 for the IPàTel/IP CallerID manipulation rule modification interface. The configuration items on this interface are the same as those on the Add IPàTel/IP CallerID Manipulation Rule interface. Note that the item Index cannot be modified.

Figure 3‑117 Modify IPàTel/IP CallerID Manipulation Rule

To delete a number manipulation rule, check the checkbox before the corresponding index in Figure 3‑114 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all number manipulation rules at a time, click the Clear All button in Figure 3‑114.

See Figure 3‑118 for the IPàTel/IP CallerID Manipulation Interface under the Character mode. You can edit the number manipulation rule list to add a new one or modify an old one. The exact meaning of each element of the rule is described on the page.

Figure 3‑118 IPàTel/IP CallerID Manipulation Interface (Character)


3.10.2 IP to Tel/IP CalleeID

The number manipulation process for IPàTel/IP CalleeID is almost the same as that for IPàTel/IP CallerID; only the number to be manipulated changes from CallerID to CalleeID. See Figure 3‑119, Figure 3‑120 for IPàTel/IP CalleeID Manipulation interface. The configuration items on this interface are the same as those on IPàTel/IP CallerID Manipulation Interface (Figure 3‑114).

Figure 3‑119 IPàTel/IP CalleeID Manipulation Interface(Standard)

Figure 3‑120 IPàTel/IP CalleeID Manipulation Interface (Character)


3.10.3 Tel to IP CallerID

Figure 3‑121 TelàIP CallerID Manipulation Interface (Standard)

See Figure 3‑121 for the TelàIP CallerID manipulation interface under the Standard mode. A new number manipulation rule can be added by the Add New button on the bottom right corner of the list in the above figure. See Figure 3‑122 for the TelàIP CallerID manipulation rule adding interface. You may use the default values of all the other configuration items herein.

Figure 3‑122 Add TelàIP CallerID Manipulation Rule

The table below explains the items shown in the above figure.

Item

Description

Index

The unique index of each number manipulation rule, which denotes its priority. A number manipulation rule with a smaller index value has a higher priority. If a call matches several number manipulation rules, it will be processed according to the one with the highest priority.

Description

More information about each number manipulation rule, with the default value of default.

Source Port Group (Call Initiator)

Port group from which the call is initiated. This item can be set to a specific port group or ‘*’ which indicates any port group.

CallerID Prefix, CalleeID Prefix

A string of characters at the beginning of the caller/called party number. It can be a specific string consisting of digits 0~9, ”[*]”, ”#" or character ranges defined by [ ]. ‘[ ]’ represents a character within the range it defines. Values in [ ] only can be digits ‘0~9’, “[*]”, ”#", punctuations ‘-‘ and ‘,’. (’-’ is used between two characters to indicate any character between these two characters. ’,’ is used to separate characters or character ranges, representing alternatives.) For example, 057[1-3,6] represents the string 0571, 0572, 0573 or 0576. Also these items can be set to “*” which indicates any string. These two configuration items together with Call Initiator specify a number manipulation rule for calls.

Note: “[*]” represents DTFM symbol *, while “*” represents any string; Multiple CallerID/CalleeID prefixes can be added simultaneously. They are separated by “:”.

Stripped Digits from Left

The amount of digits to be deleted from the left end of the number. If the value of this item exceeds the length of the current number, the whole number will be deleted.

Stripped Digits from Right

The amount of digits to be deleted from the right end of the number. If the value of this item exceeds the length of the current number, the whole number will be deleted.

Reserved Digits from Right

The amount of digits to be reserved from the right end of the number. Only when the value of this item is less than the length of the current number will some digits be deleted from left; otherwise, the number will not be manipulated.

Prefix to Add

Designated information to be added to the left end of the current number.

Suffix to Add

Designated information to be added to the right end of the current number.

Note: The number manipulation is performed in 5 steps by the order of the following configuration items: Stripped Digits from Left, Stripped Digits from Right, Reserved Digits from Right, Prefix to Add and Suffix to Add.

After configuration, click Save to save the settings into the gateway or click Close to cancel the settings.

Click Modify in Figure 3‑121 to modify a number manipulation rule. See Figure 3‑123 for the TelàIP CallerID manipulation rule modification interface. The configuration items on this interface are the same as those on the Add Tel àIP CallerID Manipulation Rule interface. Note that the item Index cannot be modified.

Figure 3‑123 Modify TelàIP CallerID Manipulation Rule

To delete a number manipulation rule, check the checkbox before the corresponding index in Figure 3‑121 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all number manipulation rules at a time, click the Clear All button in Figure 3‑121.

See Figure 3‑124 for the TelàIP CallerID Manipulation Interface under the Character mode. You can edit the number manipulation rule list to add a new one or modify an old one. The exact meaning of each element of the rule is described on the page.

Figure 3‑124 TelàIP CallerID Manipulation Interface (Character)


3.10.4 Tel to IP CalleeID

The number manipulation process for TelàIP CalleeID is almost the same as that for TelàIP CallerID; only the number to be manipulated changes from CallerID to CalleeID. See Figure 3‑125, Figure 3‑126 for the TelàIP CalleeID manipulation interface. The configuration items on this interface are the same as those on TelàIP CallerID Manipulation Interface (Figure 3‑121).

Figure 3‑125 TelàIP CalleeID Manipulation Interface (Standard)

Figure 3‑126 TelàIP CalleeID Manipulation Interface (Character)


3.11 System Tools

System Tools is mainly for gateway maintenance. It provides such features as change password, data backup and connectivity check. See Figure 3‑127 for details.

Figure 3‑127 System Tools


3.11.1 Upgrade

Figure 3‑128 Upgrade Interface

See Figure 3‑128 for the upgrade interface where you can upgrade the WEB, gateway service, kernel and firmware to new versions. Select the upgrade package “*.tar.gz” (The gateway will do MD5 verification before upgrading and will not start to upgrade until it passes the verification.) via Browse… and click Update. Then the file uploading interface will appear. See Figure 3‑129.

Figure 3‑129 File Uploading Interface

After a successful uploading of the file, the gateway will start to upgrade the system. See Figure 3‑130 and you can learn the detailed upgrading information from the upgrade information box at the bottom.

Figure 3‑130 System Upgrading Interface

Note that clicking Reset can only delete the selected update file but not cancel the operation of Update.

Note: Please contact our technicians if you need to downgrade the gateway to an old version. An improper operation may cause unexpected problems.


3.11.2 Signaling Capture

Figure 3‑131 Signaling Capture Interface

See Figure 3‑131 for the Signaling Capture interface. Packet capture contains Signaling Packet Capture, RTP Packet Capture. You can select either of them to start the capture according to your requirement. Click Start to start capturing packets. Click Stop to stop the capture. Click Download to download the captured packets.


3.11.3 Data Recording

Figure 3‑132 Data Recording Interface

See Figure 3‑132 for the Data Recording interface. Click Start to start the recording. Click Stop to stop the recording. Click Download to download the recorded data.


3.11.4 Call Log

Figure 3‑133 Call Log Interface

Figure 3‑134 SIP Log Interface

See Figure 3‑133, Figure 3‑134 for the Call Log interface. Click the checkbox before Enable Call Log to enable the call log feature, including Call Log and SIP Log. Call from IP Channel displays the call log information generated on all IP channels, and Call from Port displays the call log information generated on the port you select. All the SIP related information will be displayed in SIP Log.


3.11.5 Operation Log

Figure 3‑135 Operation Log Interface

See Figure 3‑135 for the Operation Log interface, which is used to check the operation records on WEB. Click Refresh to refresh the log; click Clear All to clear all the operation logs and click Download to download the logs. The operation log will be automatically cleared once the system restarts.

Note: The sign <@#> here means the configuration item is null.


3.11.6 Change Password

Figure 3‑136 Password Changing Interface

See Figure 3‑136 for the password changing interface where you can change username and password of the gateway. Enter the current password, the new username and password, and then confirm the new password. After configuration, click Save to apply the new username and password or click Reset to restore the configurations. After changing the username and password, you are required to log in again.


3.11.7 Backup & Upload

Figure 3‑137 Backup & Upload Interface

See Figure 3‑137 for the backup and upload interface. To back up the configuration file to your PC, just click Backup. To upload a configuration file, select it via Browse… and click Upload.

Figure 3‑138 Backup & Upload & Prompt Interface

Click OK on the prompt box (Figure 3‑138) to upload the configuration file to the gateway. Now the prompt information ‘System is rebooting, please do not leave this page’ appears. See Figure 3‑139. The gateway will overwrite the current configurations with the uploaded data after restart. Click Cancel to cancel this upload directly.

Figure 3‑139 Configuration File Uploading Interface


3.11.8 Factory Reset

Figure 3‑140 Factory Reset Interface

See Figure 3‑140 for the factory reset interface. Click Reset to restore all configurations on the gateway to factory settings.


3.11.9 Restart

Figure 3‑141 System Restart Interface

See Figure 3‑141 for the restart interface. Click Restart under the service restart interface to restart the gateway service or click Restart under the system restart interface to restart the whole gateway system. A dump file will be generated each time you restart the service or the system. Click Download and you can download it to help troubleshoot issues.


3.11.10 System Monitor

Figure 3‑142 System Monitor Configuration Interface

See Figure 3‑142 for the System Monitor Configuration interface. Watchdog is a timing reset system used to avoid application crash. You can set the dog feeding interval when this feature is enabled. The feeding interval is calculated by s, with the value range of 1~15s. By default, this feature is enabled with the default value of 5s. As the feature ‘Automatically restart the service if undetected’ is enabled, the service application will restart automatically if it is not detected by the gateway guard application. By default, this feature is enabled.


3.11.11 Centralized Manage

Figure 3‑143 Centralized Manage Setting Interface

See Figure 3‑143 for the Centralized Manage Setting interface. The gateway can register to a centralized management platform and accept the management of the platform. The table below explains the items shown in above figures.

Item | Description
DCMS Server Address | The address of the server in which the DCMS locates, It can be IP or a domain name. Note: To configure the domain name, make sure the DNS is already configured and the corresponding domain name is analyzable.
Company Name | The company name used to register the gateway to DCMS, only valid when DCMS is selected.
Authorization Code | The authorization code is used for the connection verification. A device can connect to the DCMS successfully only after it passes the verification.
Gateway Description | The description displayed on Synway DCMS after the gateway is registered to Synway DCMS, giving an easy identification of the gateway in device grouping. It is valid only when Synway DCMS is selected
Working Status | The status of the connection between the gateway and the centralized management server.


3.11.12 PING Test

Figure 3‑144 Ping Test Interface

See Figure 3‑144 for the Ping test interface. A Ping test can be initiated from the gateway on a designated IP address to check the connection status between them. The table below explains the configuration items shown in the above figure.

Item | Description
Destination Address | Destination IP address or domain name on which the Ping test is executed.
Ping Count | The number of times that the Ping test should be executed. Range of value: 1~100.
Package Length | Length of the data package used in the Ping test. Range of value: 56~1024 bytes.
Info | The information returned during the Ping test, helping you to learn the network connection status between the gateway and the destination address.

After configuration, click Start to execute the Ping test; click End to terminate it immediately.


3.11.13 TRACERT Test

Figure 3‑145 Tracert Test Interface

See Figure 3‑145 for the Tracert test interface. A Tracert test can be initiated from the gateway on a designated IP address to check the routing status between them. The table below explains the configuration items shown in the above figure.

Item | Description
Source IP Address | Source IP address where the Tracert test is initiated.
Destination Address | Destination IP address on which the Tracert test is executed.
Maximum Jumps | Maximum number of jumps between the gateway and the destination address which are returned by the Tracert test. Range of value: 1~255.
Info | The information returned during the Tracert test, helping you to learn the detailed information about the jumps between the gateway and the destination address.

After configuration, click Start to execute the Tracert test; click End to terminate it immediately.


3.11.14 Wireless Network Test

Figure 3‑146 Wireless Network Test Interface

See Figure 3‑146 for the Wireless Network Test interface. This test is to check whether the SIM card inserted in the gateway port can make normal calls. The table below gives the explanation to the configuration items shown in the above figure.

Item | Description
Port | The port used for the test
Called Number | The called party number which will be dialed for the test
Conversion Time Length | The time length of the conversion
Call Times | The times of the testing call

After configuration, click Start to execute the test; click Stop to terminate it immediately.


3.11.15 Access Control

Figure 3‑147 Access Control List Interface

See Figure 3‑147 for the Access Control List interface. You can add a piece of command to ACL to restrict the network flow. Thus only the particular devices are allowed to visit the gateway and only the data packages on the designated ports can be forwarded. Click Add New to add a new piece of command. See Figure 3‑148.

Figure 3‑148 Add Access Control Command Interface

Fill in a piece of command to the item Command and click Save to save the settings to the gateway. Click Close to cancel your settings. Click Apply to make the new command valid.

Click Modify in Figure 3‑147 to modify a command. See Figure 3‑149 for the Access Control Command Modification interface. The configuration items on this interface are the same as those on the Add Access Control Command interface. Note that the item Index cannot be modified.

Figure 3‑149 Access Control Command Modification Interface

To delete an Access Control Command, check the checkbox before the corresponding index in Figure 3‑147 and click the Delete button, and then click the Apply button to make the deleted command invalid. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all access control commands at a time, click the Clear All button in Figure 3‑147.

Note:

1, Currently, only the command iptables is supported by the gateway.

2, If you add or modify or delete commands manually, don’t forget to click the Apply button to make your settings valid. However, if the gateway restarts or the configuration is leading-in, you need not click the Apply button and the commands will get valid automatically.


Appendix A Technical Specifications

Dimensions

4004/4008 series: 260×153×30 mm3

4016/4032 series: 440×44×200 mm3

Weight

4004/4008 series Net: 1.2 kg

4016 series Net: 2.4 kg

4032 series Net: 3.1 kg

Environment

Operating temperature: 0℃—45℃

Storage temperature: -20℃—85℃

Humidity: 8%— 90% non-condensing

Storage humidity: 8%— 90% non-condensing

LAN

Amount: 2 (10/100 BASE-TX (RJ-45))

Self-adaptive bandwidth supported

Auto MDI/MDIX supported

Console Port

Amount: 1 (RS-232)

Baud rate: 115200bps

Connector: RJ45 to DB-9 Connector (4004/4008 series), Mini-USB connecting line (4016/4032 series)

Data bits: 8 bits

Stop bit: 1 bit

Parity unsupported

Flow control unsupported

Note: Follow the above settings to configure the serial port; or it may work abnormally.

Power Requirements

Input power: 12V DC ±10%

Input Current: ≥3A DC

Signaling & Protocol

SIP signaling

Supported protocol: SIP V1.0/2.0, RFC3261

Network Protocol

IP v4, UDP/TCP, PPPoE, DHCP,

FTP/TFTP ARP, RARP, NTP,

HTTP, Telnet

Audio Encoding & Decoding

G.711A | 64 kbps
G.711U | 64 kbps
G.729A/B | 8 kbps
G723 | 5.3/6.3 kbps
G722 | 64 kbps
AMR | 4.75 kbps
iLBC | 13.3/15.2 kbps

Sampling Rate

8kHz

Wireless Feature

SMS CODEC: ASCII/UCS2

Others

The LTE series gateways support the VoLTE network so that they provide quick call establishment and stay unaffected by the Base Station capacity.


Appendix B Troubleshooting

Q1. What to do if I forget the IP address of the wireless gateway?

There are two ways to get the IP address:

1) Long press the Reset button on the gateway to restore to factory settings. The default IP address is 192.168.1.101

2) Make a call to any wireless port and press the function key to query the IP address. See 3.5.5 Function Key for more details.

Q2. In what cases can I conclude that the wireless gateway is abnormal and turn to Synway’s technicians for help?

a) During runtime, the run indicator does not flash or the alarm indicator lights up or flashes, and such error still exists even after you restart the device or restore it to factory settings.

b) Voice problems occur during call conversation, such as that one party or both parties cannot hear the voice or the voice quality is unacceptable.

c) The port of the gateway is well connected with the antenna and has a SIM card properly inserted, but the port indicator never lights up after the gateway startup or the color it lights up does not comply with the actual port state or port type.

Other problems such as inaccessible calls, failed registrations, incorrect numbers are probably caused by configuration errors. We suggest you refer to Chapter 3 WEB Configuration for further examination. If you still cannot figure out or solve your problems, please feel free to contact our technicians.

Q3. What to do if I cannot enter the WEB interface of the gateway after login?

This problem may happen on some browsers. To settle it, follow the instructions here to configure your browser. Enter ‘Tools > Internet Options >Security Tab’, and add the current IP address of the gateway into ‘Trusted Sites’. If you changes the IP address of the gateway, add your new IP address into the above settings too.

Q4. Is there any cell-phone APP can make calls to the gateway?

Yes. Linphone is a soft SIP phone that is supported by multiple platforms, such as Linux, Windows, iOS, Android, etc. It must be registered to the SIP registrar server before dialing to other SIP devices or PSTN telephones,

Q5. Which RTP codecs are supported by the gateway?

At present, the supported RTP codecs are: G.711A, G.711u, G.729, G.723, G.722, AMR and iLBC.


Appendix C VPN Certificate

The steps to make a VPN certificate;

Step 1 Get the file of client.ovpn from the VPN server and rename it to “client.conf”.

Step 2 Examine or add the following content in/to the file.

The file should contain the following content, in which the black part is fixed while the red part shall change according to the note.

dev tap (Note: Fill in tap or tun according to the VPN server’s requirement. Currently, only tap is supported.)

persist-tun

persist-key

cipher AES-128-CBC

tls-client

tls-auth ta.key 1 (Note: It is used to enable the feature of TLS encryption, and should be consistent with that of the server.)

client

remote 192.168.143.235 1194 udp (Note: Fill in the IP address and the port number of the VPN server.)

tls-remote yfadmin

comp-lzo

passtos

<ca>-----BEGIN CERTIFICATE-----

Note: Fill in the key copied from the file of ca.crt.

-----END CERTIFICATE-----

</ca><cert>-----BEGIN CERTIFICATE-----

Note: Fill in the key copied from the file of client.crt, that is, the content inbetween “-----BEGIN CERTIFICATE-----” and “-----ENDCERTIFICATE-----”

-----END CERTIFICATE-----

</cert><key>-----BEGIN RSA PRIVATE KEY-----

Note: Fill in the key copied from the file of client.key

-----END RSA PRIVATE KEY-----

</key>

<tls-auth>

Note: Fill in the key copied from the file of ta.key

</tls-auth>

Step 3 Save the file after your examination or supplement and upload it to the device. Note that the suffix of the file must be .conf.


Appendix D Technical/sales Support

Thank you for choosing Synway. Please contact us should you have any inquiry regarding our products. We shall do our best to help you.

Headquarters

Synway Information Engineering Co., Ltd

http://www.synway.net/

9F, Synway D&R Center, No.3756, Nanhuan Road, Binjiang District, Hangzhou, P.R.China, 310053

Tel: +86-571-88860561

Fax: +86-571-88850923

Wechat QR Code：Scan the QR code to pay attention to us

Technical Support

Tel: +86-571-88864579

Mobile: +86-18905817070

Email: techsupport@sanhuid.com

Email: techsupport@synway.net

MSN: synway.support@hotmail.com

Sales Department

Tel: +86-571-88860561

Tel: +86-571-88864579

Fax: +86-571-88850923

Email: sales@synway.net